Index: /trunk/Cocoa/Pester/Source/English.lproj/Credits.html
===================================================================
--- /trunk/Cocoa/Pester/Source/English.lproj/Credits.html	(revision 44)
+++ /trunk/Cocoa/Pester/Source/English.lproj/Credits.html	(revision 45)
@@ -1,2 +1,2 @@
-<font face="Lucida Grande" size="-1"><b>Icon by</b> <a href="mailto:excellence@global.co.za">Diederik Vemer</a></font>.<br>
-<font face="Lucida Grande" size="-1"><b>Thanks to</b> <a href="mailto:ryanwilcox@mac.com">Ryan Wilcox</a></font>.
+<font face="Lucida Grande" size="-1"><b>Icon by</b> <a href="mailto:excellence@global.co.za">Diederik Vemer</a>.</font><br>
+<font face="Lucida Grande" size="-1"><b>Thanks to</b> <a href="mailto:ryanwilcox@mac.com">Ryan Wilcox</a> and <a href="mailto:bhines@alumni.ucsd.edu">Ben Hines</a>.</font>
Index: /trunk/Cocoa/Pester/Source/English.lproj/MainMenu.nib/info.nib
===================================================================
--- /trunk/Cocoa/Pester/Source/English.lproj/MainMenu.nib/info.nib	(revision 44)
+++ /trunk/Cocoa/Pester/Source/English.lproj/MainMenu.nib/info.nib	(revision 45)
@@ -1,22 +1,22 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE plist SYSTEM "file://localhost/System/Library/DTDs/PropertyList.dtd">
-<plist version="0.9">
+<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
 <dict>
 	<key>IBDocumentLocation</key>
-	<string>54 24 356 240 0 0 1280 832 </string>
+	<string>73 38 356 240 0 0 1600 1178 </string>
 	<key>IBEditorPositions</key>
 	<dict>
 		<key>29</key>
-		<string>71 238 273 44 0 0 1280 832 </string>
+		<string>94 343 273 44 0 0 1600 1178 </string>
 	</dict>
 	<key>IBFramework Version</key>
-	<string>263.2</string>
+	<string>286.0</string>
 	<key>IBOpenObjects</key>
 	<array>
+		<integer>29</integer>
 		<integer>21</integer>
-		<integer>29</integer>
 	</array>
 	<key>IBSystem Version</key>
-	<string>5S66</string>
+	<string>6D52</string>
 	<key>IBUserGuides</key>
 	<dict>
Index: /trunk/Cocoa/Pester/Source/NJRDateFormatter.m
===================================================================
--- /trunk/Cocoa/Pester/Source/NJRDateFormatter.m	(revision 44)
+++ /trunk/Cocoa/Pester/Source/NJRDateFormatter.m	(revision 45)
@@ -21,8 +21,13 @@
 {
     NSScanner *scanner = [NSScanner scannerWithString: format];
+    int formatLength = [format length];
     NSRange range;
     [scanner setCharactersToBeSkipped: [NSCharacterSet characterSetWithCharactersInString: @""]];
+    // NSLog(@"format:withoutComponent: trying to excise %c from %@", component, format);
     while ([scanner scanUpToString: @"%" intoString: nil] || ![scanner isAtEnd]) {
         range.location = [scanner scanLocation];
+        // NSLog(@"location: %d/%d, remaining: %@%@", range.location, formatLength, [format substringFromIndex: range.location], [scanner isAtEnd] ? @", isAtEnd" : @"");
+        // XXX works fine without keeping track of length in 10.1.5; in 10.2, [scanner scanUptoString:intoString:] still returns YES even when scanner is at end and thereÕs nothing left to scan, and if you start accessing the string past the end... *boom*
+        if (range.location >= formatLength) break;
         [scanner scanUpToCharactersFromSet: [NSCharacterSet letterCharacterSet] intoString: nil];
         if ([format characterAtIndex: [scanner scanLocation]] == component) {
Index: /trunk/Cocoa/Pester/Source/NJRQTMediaPopUpButton.m
===================================================================
--- /trunk/Cocoa/Pester/Source/NJRQTMediaPopUpButton.m	(revision 44)
+++ /trunk/Cocoa/Pester/Source/NJRQTMediaPopUpButton.m	(revision 45)
@@ -27,5 +27,4 @@
 // XXX don't add icons on Puma, they look like ass
 // XXX launch preview on a separate thread (if movies take too long to load, they inhibit the interface responsiveness)
-// XXX when dropping invalid JPEG file on button, it dies
 
 // Recent media layout:
@@ -299,5 +298,5 @@
         NSMenuItem *item = [[self itemAtIndex: index] retain];
         NSData *data = [[recentMediaAliasData objectAtIndex: recentIndex] retain];
-        [self _validateRecentMedia];
+        // [self _validateRecentMedia];
         [self removeItemAtIndex: index];
         [[self menu] insertItem: item atIndex: otherIndex + 1];
Index: /trunk/Cocoa/Pester/Source/PSAlarmSetController.m
===================================================================
--- /trunk/Cocoa/Pester/Source/PSAlarmSetController.m	(revision 44)
+++ /trunk/Cocoa/Pester/Source/PSAlarmSetController.m	(revision 45)
@@ -83,4 +83,5 @@
         }
     }
+    [timeDate setObjectValue: [NSDate date]];
     [self inAtChanged: nil];
     [self playSoundChanged: nil];
@@ -91,4 +92,8 @@
     [[NSNotificationCenter defaultCenter] addObserver: self selector: @selector(playSoundChanged:) name: NJRQTMediaPopUpButtonMovieChangedNotification object: sound];
     [voice setDelegate: self];
+    if (floor(NSAppKitVersionNumber) <= NSAppKitVersionNumber10_1) {
+        // XXX workaround for 10.1.x bug which sets the first responder to the wrong field, but it works if I set the initial first responder to nil... go figure.
+        [[self window] setInitialFirstResponder: nil];
+    }
     [[self window] makeKeyAndOrderFront: nil];
 }
@@ -259,12 +264,5 @@
 - (IBAction)setAlarm:(NSButton *)sender;
 {
-    // set alarm
-    [self setAlarmDateAndInterval: sender];
-    [alarm setMessage: [messageField stringValue]];
-    if (![alarm setTimer]) {
-        [self setStatus: [@"Unable to set alarm.  " stringByAppendingString: [alarm invalidMessage]]];
-        return;
-    }
-
+    // set alerts before setting alarm...
     [alarm removeAlerts];
     // dock bounce alert
@@ -295,4 +293,12 @@
     if ([doSpeak intValue])
         [alarm addAlert: [PSSpeechAlert alertWithVoice: [voice titleOfSelectedItem]]];
+
+    // set alarm
+    [self setAlarmDateAndInterval: sender];
+    [alarm setMessage: [messageField stringValue]];
+    if (![alarm setTimer]) {
+        [self setStatus: [@"Unable to set alarm.  " stringByAppendingString: [alarm invalidMessage]]];
+        return;
+    }
     
     [self setStatus: [[alarm date] descriptionWithCalendarFormat: @"Alarm set for %x at %X" timeZone: nil locale: nil]];
Index: /trunk/Cocoa/Pester/Source/PSMovieAlert.m
===================================================================
--- /trunk/Cocoa/Pester/Source/PSMovieAlert.m	(revision 44)
+++ /trunk/Cocoa/Pester/Source/PSMovieAlert.m	(revision 45)
@@ -70,5 +70,4 @@
 - (void)triggerForAlarm:(PSAlarm *)alarm;
 {
-    NSLog(@"%@", self);
     [PSMovieAlertController controllerWithAlarm: alarm movieAlert: self];
 }
Index: /trunk/Cocoa/Pester/Source/PSMovieAlertController.m
===================================================================
--- /trunk/Cocoa/Pester/Source/PSMovieAlertController.m	(revision 44)
+++ /trunk/Cocoa/Pester/Source/PSMovieAlertController.m	(revision 45)
@@ -63,5 +63,5 @@
             [window center];
             frame = [window frame];
-            frame.origin.y -= 250; // appear below notifier window
+            frame.origin.y -= 400; // appear below notifier window - XXX this is very inaccurate, fix
             if (frame.origin.y < screenRect.origin.y) frame.origin.y = screenRect.origin.y;
             [window setFrame: frame display: NO];
Index: /trunk/Cocoa/Pester/Source/Pester.pbproj/nicholas.pbxuser
===================================================================
--- /trunk/Cocoa/Pester/Source/Pester.pbproj/nicholas.pbxuser	(revision 44)
+++ /trunk/Cocoa/Pester/Source/Pester.pbproj/nicholas.pbxuser	(revision 45)
@@ -11,6 +11,6 @@
 			F596730D0355CFA301407038,
 			F500E5370359719B01AEEDB1,
-			F51152D1036B632B01E23CC6,
-			F52441D303787D1001AEEDB1,
+			F5B15F74037E42EB01AEEDB1,
+			F5B15F79037E45E301AEEDB1,
 		);
 		executables = (
@@ -18,16 +18,15 @@
 		);
 		perUserDictionary = {
-			PBXPerProjectTemplateStateSaveDate = 58520961;
-			"PBXTemplateGeometry-F5314676015831810DCA290F" = {
-				ContentSize = "{685, 434}";
+			PBXPerProjectTemplateStateSaveDate = 58614289;
+			"PBXTemplateGeometry-F5CA7ECB015C094F0DCA290F" = {
+				ContentSize = "{668, 621}";
 				LeftSlideOut = {
 					Collapsed = NO;
-					Frame = "{{0, 23}, {685, 411}}";
+					Frame = "{{0, 0}, {668, 621}}";
 					Split0 = {
-						ActiveTab = 2;
 						Collapsed = NO;
-						Frame = "{{0, 0}, {685, 411}}";
+						Frame = "{{0, 0}, {668, 621}}";
 						Split0 = {
-							Frame = "{{0, 221}, {685, 190}}";
+							Frame = "{{0, 0}, {668, 621}}";
 						};
 						SplitCount = 1;
@@ -35,20 +34,20 @@
 							Debugger = {
 								Collapsed = NO;
-								Frame = "{{0, 0}, {952, 321}}";
+								Frame = "{{0, 0}, {484, 208}}";
 								Split0 = {
-									Frame = "{{0, 24}, {952, 297}}";
+									Frame = "{{0, 24}, {484, 184}}";
 									Split0 = {
-										Frame = "{{0, 0}, {468, 297}}";
+										Frame = "{{0, 0}, {236, 184}}";
 									};
 									Split1 = {
 										DebugVariablesTableConfiguration = (
 											Name,
-											126.803,
+											123,
 											Value,
-											150.074,
+											85,
 											Summary,
-											172.123,
+											62.123,
 										);
-										Frame = "{{477, 0}, {475, 297}}";
+										Frame = "{{245, 0}, {239, 184}}";
 									};
 									SplitCount = 2;
@@ -64,18 +63,18 @@
 								TabsVisible = YES;
 							};
-							Frame = "{{0, 0}, {952, 321}}";
+							Frame = "{{0, 0}, {484, 208}}";
 							LauncherConfigVersion = 7;
 						};
 						Tab1 = {
-							Frame = "{{0, 0}, {781, 452}}";
+							Frame = "{{0, 0}, {664, 208}}";
 							LauncherConfigVersion = 3;
 							Runner = {
-								Frame = "{{0, 0}, {781, 452}}";
+								Frame = "{{0, 0}, {664, 208}}";
 							};
 						};
 						Tab2 = {
-							BuildMessageFrame = "{{0, 0}, {687, 149}}";
-							BuildTranscriptFrame = "{{0, 158}, {687, 59}}";
-							Frame = "{{0, 0}, {685, 215}}";
+							BuildMessageFrame = "{{0, 0}, {666, 43}}";
+							BuildTranscriptFrame = "{{0, 52}, {666, 0}}";
+							Frame = "{{0, 0}, {664, 50}}";
 						};
 						Tab3 = {
@@ -87,10 +86,10 @@
 					SplitCount = 1;
 					Tab0 = {
-						Frame = "{{0, 0}, {300, 533}}";
+						Frame = "{{0, 0}, {313, 531}}";
 						GroupTreeTableConfiguration = (
 							TargetStatusColumn,
 							18,
 							MainColumn,
-							267,
+							280,
 						);
 					};
@@ -116,35 +115,13 @@
 					};
 					Tab3 = {
-						Frame = "{{0, 0}, {200, 100}}";
-						Split0 = {
-							Frame = "{{0, 0}, {200, 45}}";
-							TargetTreeTableConfiguration = (
-								ActiveTarget,
-								16,
-								TargetName,
-								168,
-							);
-						};
-						Split1 = {
-							BuildStyleTreeTableConfiguration = (
-								IsActive,
-								16,
-								Name,
-								169,
-							);
-							Frame = "{{0, 54}, {200, 46}}";
-						};
-						SplitCount = 2;
+						Frame = "{{0, 0}, {200, 557}}";
+						TargetTableConfiguration = (
+							ActiveObject,
+							16,
+							ObjectNames,
+							202.296,
+						);
 					};
 					Tab4 = {
-						ExecutableTreeTableConfiguration = (
-							ActiveExecutable,
-							16,
-							ExecutableName,
-							217,
-						);
-						Frame = "{{0, 0}, {250, 100}}";
-					};
-					Tab5 = {
 						BreakpointsTreeTableConfiguration = (
 							breakpointColumn,
@@ -155,436 +132,5 @@
 						Frame = "{{0, 0}, {250, 100}}";
 					};
-					TabCount = 6;
-					TabsVisible = NO;
-				};
-				StatusViewVisible = YES;
-				Template = F5314676015831810DCA290F;
-				ToolbarVisible = YES;
-				WindowLocation = "{421, 52}";
-			};
-			"PBXTemplateGeometry-F5534CB2020F3F8A0DCA290F" = {
-				ContentSize = "{981, 229}";
-				LeftSlideOut = {
-					Collapsed = NO;
-					Frame = "{{0, 23}, {981, 206}}";
-					Split0 = {
-						ActiveTab = 1;
-						Collapsed = YES;
-						Frame = "{{0, 0}, {981, 206}}";
-						Split0 = {
-							Frame = "{{1e+06, 1e+06}, {981, 0}}";
-						};
-						SplitCount = 1;
-						Tab0 = {
-							Debugger = {
-								Collapsed = NO;
-								Frame = "{{0, 0}, {804, 321}}";
-								Split0 = {
-									Frame = "{{0, 24}, {804, 297}}";
-									Split0 = {
-										Frame = "{{0, 0}, {394, 297}}";
-									};
-									Split1 = {
-										DebugVariablesTableConfiguration = (
-											Name,
-											102.803,
-											Value,
-											125.074,
-											Summary,
-											147.123,
-										);
-										Frame = "{{403, 0}, {401, 297}}";
-									};
-									SplitCount = 2;
-								};
-								SplitCount = 1;
-								Tab0 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								Tab1 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								TabCount = 2;
-								TabsVisible = YES;
-							};
-							Frame = "{{0, 0}, {804, 321}}";
-							LauncherConfigVersion = 7;
-						};
-						Tab1 = {
-							Frame = "{{0, 0}, {981, 200}}";
-							LauncherConfigVersion = 3;
-							Runner = {
-								Frame = "{{0, 0}, {981, 200}}";
-							};
-						};
-						Tab2 = {
-							BuildMessageFrame = "{{0, 0}, {806, 237}}";
-							BuildTranscriptFrame = "{{0, 246}, {806, 3}}";
-							Frame = "{{0, 0}, {804, 247}}";
-						};
-						Tab3 = {
-							Frame = "{{0, 0}, {612, 295}}";
-						};
-						TabCount = 4;
-						TabsVisible = NO;
-					};
-					SplitCount = 1;
-					Tab0 = {
-						Frame = "{{0, 0}, {300, 533}}";
-						GroupTreeTableConfiguration = (
-							TargetStatusColumn,
-							18,
-							MainColumn,
-							267,
-						);
-					};
-					Tab1 = {
-						ClassesFrame = "{{0, 0}, {280, 398}}";
-						ClassesTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXClassColumnIdentifier,
-							237,
-						);
-						Frame = "{{0, 0}, {278, 659}}";
-						MembersFrame = "{{0, 407}, {280, 252}}";
-						MembersTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXMethodColumnIdentifier,
-							236,
-						);
-					};
-					Tab2 = {
-						Frame = "{{0, 0}, {200, 100}}";
-					};
-					Tab3 = {
-						Frame = "{{0, 0}, {200, 386}}";
-						Split0 = {
-							Frame = "{{0, 0}, {200, 186}}";
-							TargetTreeTableConfiguration = (
-								ActiveTarget,
-								16,
-								TargetName,
-								168,
-							);
-						};
-						Split1 = {
-							BuildStyleTreeTableConfiguration = (
-								IsActive,
-								16,
-								Name,
-								169,
-							);
-							Frame = "{{0, 195}, {200, 191}}";
-						};
-						SplitCount = 2;
-					};
-					Tab4 = {
-						ExecutableTreeTableConfiguration = (
-							ActiveExecutable,
-							16,
-							ExecutableName,
-							217,
-						);
-						Frame = "{{0, 0}, {250, 386}}";
-					};
-					Tab5 = {
-						BreakpointsTreeTableConfiguration = (
-							breakpointColumn,
-							197,
-							enabledColumn,
-							31,
-						);
-						Frame = "{{0, 0}, {250, 100}}";
-					};
-					TabCount = 6;
-					TabsVisible = NO;
-				};
-				StatusViewVisible = YES;
-				Template = F5534CB2020F3F8A0DCA290F;
-				ToolbarVisible = YES;
-				WindowLocation = "{18, -90}";
-			};
-			"PBXTemplateGeometry-F5CA7EC9015C08ED0DCA290F" = {
-				ContentSize = "{665, 594}";
-				LeftSlideOut = {
-					Collapsed = NO;
-					Frame = "{{0, 0}, {665, 594}}";
-					Split0 = {
-						ActiveTab = 3;
-						Collapsed = NO;
-						Frame = "{{0, 0}, {665, 594}}";
-						Split0 = {
-							Frame = "{{0, 304}, {665, 290}}";
-						};
-						SplitCount = 1;
-						Tab0 = {
-							Debugger = {
-								Collapsed = NO;
-								Frame = "{{0, 0}, {484, 208}}";
-								Split0 = {
-									Frame = "{{0, 24}, {484, 184}}";
-									Split0 = {
-										Frame = "{{0, 0}, {236, 184}}";
-									};
-									Split1 = {
-										DebugVariablesTableConfiguration = (
-											Name,
-											48.80299,
-											Value,
-											71.07401,
-											Summary,
-											93.123,
-										);
-										Frame = "{{245, 0}, {239, 184}}";
-									};
-									SplitCount = 2;
-								};
-								SplitCount = 1;
-								Tab0 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								Tab1 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								TabCount = 2;
-								TabsVisible = YES;
-							};
-							Frame = "{{0, 0}, {484, 208}}";
-							LauncherConfigVersion = 7;
-						};
-						Tab1 = {
-							Frame = "{{0, 0}, {664, 208}}";
-							LauncherConfigVersion = 3;
-							Runner = {
-								Frame = "{{0, 0}, {664, 208}}";
-							};
-						};
-						Tab2 = {
-							BuildMessageFrame = "{{0, 0}, {666, 43}}";
-							BuildTranscriptFrame = "{{0, 52}, {666, 0}}";
-							Frame = "{{0, 0}, {664, 50}}";
-						};
-						Tab3 = {
-							Frame = "{{0, 0}, {665, 298}}";
-						};
-						TabCount = 4;
-						TabsVisible = NO;
-					};
-					SplitCount = 1;
-					Tab0 = {
-						Frame = "{{0, 0}, {313, 531}}";
-						GroupTreeTableConfiguration = (
-							TargetStatusColumn,
-							18,
-							MainColumn,
-							280,
-						);
-					};
-					Tab1 = {
-						ClassesFrame = "{{0, 0}, {280, 398}}";
-						ClassesTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXClassColumnIdentifier,
-							237,
-						);
-						Frame = "{{0, 0}, {278, 659}}";
-						MembersFrame = "{{0, 407}, {280, 252}}";
-						MembersTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXMethodColumnIdentifier,
-							236,
-						);
-					};
-					Tab2 = {
-						Frame = "{{0, 0}, {200, 100}}";
-					};
-					Tab3 = {
-						Frame = "{{0, 0}, {200, 557}}";
-						Split0 = {
-							Frame = "{{0, 0}, {200, 270}}";
-							TargetTreeTableConfiguration = (
-								ActiveTarget,
-								16,
-								TargetName,
-								168,
-							);
-						};
-						Split1 = {
-							BuildStyleTreeTableConfiguration = (
-								IsActive,
-								16,
-								Name,
-								169,
-							);
-							Frame = "{{0, 279}, {200, 278}}";
-						};
-						SplitCount = 2;
-					};
-					Tab4 = {
-						ExecutableTreeTableConfiguration = (
-							ActiveExecutable,
-							16,
-							ExecutableName,
-							217,
-						);
-						Frame = "{{0, 0}, {250, 100}}";
-					};
-					Tab5 = {
-						BreakpointsTreeTableConfiguration = (
-							breakpointColumn,
-							197,
-							enabledColumn,
-							31,
-						);
-						Frame = "{{0, 0}, {250, 100}}";
-					};
-					TabCount = 6;
-					TabsVisible = NO;
-				};
-				StatusViewVisible = NO;
-				Template = F5CA7EC9015C08ED0DCA290F;
-				ToolbarVisible = NO;
-				WindowLocation = "{69, 216}";
-			};
-			"PBXTemplateGeometry-F5CA7ECB015C094F0DCA290F" = {
-				ContentSize = "{668, 621}";
-				LeftSlideOut = {
-					Collapsed = NO;
-					Frame = "{{0, 0}, {668, 621}}";
-					Split0 = {
-						Collapsed = NO;
-						Frame = "{{0, 0}, {668, 621}}";
-						Split0 = {
-							Frame = "{{0, 0}, {668, 621}}";
-						};
-						SplitCount = 1;
-						Tab0 = {
-							Debugger = {
-								Collapsed = NO;
-								Frame = "{{0, 0}, {484, 208}}";
-								Split0 = {
-									Frame = "{{0, 24}, {484, 184}}";
-									Split0 = {
-										Frame = "{{0, 0}, {236, 184}}";
-									};
-									Split1 = {
-										DebugVariablesTableConfiguration = (
-											Name,
-											48.80299,
-											Value,
-											71.07401,
-											Summary,
-											93.123,
-										);
-										Frame = "{{245, 0}, {239, 184}}";
-									};
-									SplitCount = 2;
-								};
-								SplitCount = 1;
-								Tab0 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								Tab1 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								TabCount = 2;
-								TabsVisible = YES;
-							};
-							Frame = "{{0, 0}, {484, 208}}";
-							LauncherConfigVersion = 7;
-						};
-						Tab1 = {
-							Frame = "{{0, 0}, {664, 208}}";
-							LauncherConfigVersion = 3;
-							Runner = {
-								Frame = "{{0, 0}, {664, 208}}";
-							};
-						};
-						Tab2 = {
-							BuildMessageFrame = "{{0, 0}, {666, 43}}";
-							BuildTranscriptFrame = "{{0, 52}, {666, 0}}";
-							Frame = "{{0, 0}, {664, 50}}";
-						};
-						Tab3 = {
-							Frame = "{{0, 0}, {612, 295}}";
-						};
-						TabCount = 4;
-						TabsVisible = NO;
-					};
-					SplitCount = 1;
-					Tab0 = {
-						Frame = "{{0, 0}, {313, 531}}";
-						GroupTreeTableConfiguration = (
-							TargetStatusColumn,
-							18,
-							MainColumn,
-							280,
-						);
-					};
-					Tab1 = {
-						ClassesFrame = "{{0, 0}, {280, 398}}";
-						ClassesTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXClassColumnIdentifier,
-							237,
-						);
-						Frame = "{{0, 0}, {278, 659}}";
-						MembersFrame = "{{0, 407}, {280, 252}}";
-						MembersTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXMethodColumnIdentifier,
-							236,
-						);
-					};
-					Tab2 = {
-						Frame = "{{0, 0}, {200, 100}}";
-					};
-					Tab3 = {
-						Frame = "{{0, 0}, {200, 557}}";
-						Split0 = {
-							Frame = "{{0, 0}, {200, 270}}";
-							TargetTreeTableConfiguration = (
-								ActiveTarget,
-								16,
-								TargetName,
-								168,
-							);
-						};
-						Split1 = {
-							BuildStyleTreeTableConfiguration = (
-								IsActive,
-								16,
-								Name,
-								169,
-							);
-							Frame = "{{0, 279}, {200, 278}}";
-						};
-						SplitCount = 2;
-					};
-					Tab4 = {
-						ExecutableTreeTableConfiguration = (
-							ActiveExecutable,
-							16,
-							ExecutableName,
-							217,
-						);
-						Frame = "{{0, 0}, {250, 100}}";
-					};
-					Tab5 = {
-						BreakpointsTreeTableConfiguration = (
-							breakpointColumn,
-							197,
-							enabledColumn,
-							31,
-						);
-						Frame = "{{0, 0}, {250, 100}}";
-					};
-					TabCount = 6;
+					TabCount = 5;
 					TabsVisible = NO;
 				};
@@ -592,5 +138,5 @@
 				Template = F5CA7ECB015C094F0DCA290F;
 				ToolbarVisible = NO;
-				WindowLocation = "{555, 89}";
+				WindowLocation = "{415, 482}";
 			};
 			PBXWorkspaceContents = (
@@ -599,166 +145,7 @@
 						Split0 = {
 							Split0 = {
-								NavContent0 = {
-									bookmark = F515C7E2037E2212018DB5B3;
-									history = (
-										F51E9997037C98BC01827940,
-										F51E9998037C98BC01827940,
-										F51E999C037C98BC01827940,
-										F51E999E037C98BC01827940,
-										F51E99A1037C98BC01827940,
-										F51E99A3037C98BC01827940,
-										F51E99A4037C98BC01827940,
-										F51E99A8037C98BC01827940,
-										F51E99AA037C98BC01827940,
-										F51E99AB037C98BC01827940,
-										F51E99AE037C98BC01827940,
-										F51E99AF037C98BC01827940,
-										F51E99B0037C98BC01827940,
-										F51E99B1037C98BC01827940,
-										F515C76D037E2212018DB5B3,
-										F515C76E037E2212018DB5B3,
-										F515C76F037E2212018DB5B3,
-										F515C770037E2212018DB5B3,
-										F515C771037E2212018DB5B3,
-										F515C772037E2212018DB5B3,
-										F515C773037E2212018DB5B3,
-										F515C774037E2212018DB5B3,
-										F515C775037E2212018DB5B3,
-										F515C776037E2212018DB5B3,
-										F515C777037E2212018DB5B3,
-										F515C778037E2212018DB5B3,
-										F515C779037E2212018DB5B3,
-										F515C77A037E2212018DB5B3,
-										F515C77B037E2212018DB5B3,
-										F515C77C037E2212018DB5B3,
-										F515C77D037E2212018DB5B3,
-										F515C77E037E2212018DB5B3,
-										F515C77F037E2212018DB5B3,
-										F515C780037E2212018DB5B3,
-										F515C781037E2212018DB5B3,
-										F515C782037E2212018DB5B3,
-										F515C783037E2212018DB5B3,
-										F515C784037E2212018DB5B3,
-										F515C785037E2212018DB5B3,
-										F515C786037E2212018DB5B3,
-										F515C787037E2212018DB5B3,
-										F515C788037E2212018DB5B3,
-										F515C789037E2212018DB5B3,
-										F515C78A037E2212018DB5B3,
-										F515C78B037E2212018DB5B3,
-										F515C78C037E2212018DB5B3,
-										F515C78D037E2212018DB5B3,
-										F515C78E037E2212018DB5B3,
-										F515C78F037E2212018DB5B3,
-										F515C790037E2212018DB5B3,
-										F515C791037E2212018DB5B3,
-										F515C792037E2212018DB5B3,
-										F515C793037E2212018DB5B3,
-										F515C794037E2212018DB5B3,
-										F515C795037E2212018DB5B3,
-										F515C796037E2212018DB5B3,
-										F515C797037E2212018DB5B3,
-										F515C798037E2212018DB5B3,
-										F515C799037E2212018DB5B3,
-										F515C79A037E2212018DB5B3,
-										F515C79B037E2212018DB5B3,
-										F515C79C037E2212018DB5B3,
-										F515C79D037E2212018DB5B3,
-										F515C79E037E2212018DB5B3,
-										F515C79F037E2212018DB5B3,
-									);
-									prevStack = (
-										F51E99B3037C98BC01827940,
-										F51E99B4037C98BC01827940,
-										F51E99B5037C98BC01827940,
-										F51E99B6037C98BC01827940,
-										F51E99B7037C98BC01827940,
-										F51E99B8037C98BC01827940,
-										F51E99B9037C98BC01827940,
-										F51E99BA037C98BC01827940,
-										F51E99BB037C98BC01827940,
-										F51E99BC037C98BC01827940,
-										F51E99BD037C98BC01827940,
-										F51E99BE037C98BC01827940,
-										F51E99BF037C98BC01827940,
-										F51E99C0037C98BC01827940,
-										F51E99C1037C98BC01827940,
-										F51E99C2037C98BC01827940,
-										F51E99C3037C98BC01827940,
-										F51E99C4037C98BC01827940,
-										F51E99C5037C98BC01827940,
-										F51E99C6037C98BC01827940,
-										F51E99C7037C98BC01827940,
-										F515C7A0037E2212018DB5B3,
-										F515C7A1037E2212018DB5B3,
-										F515C7A2037E2212018DB5B3,
-										F515C7A3037E2212018DB5B3,
-										F515C7A4037E2212018DB5B3,
-										F515C7A5037E2212018DB5B3,
-										F515C7A6037E2212018DB5B3,
-										F515C7A7037E2212018DB5B3,
-										F515C7A8037E2212018DB5B3,
-										F515C7A9037E2212018DB5B3,
-										F515C7AA037E2212018DB5B3,
-										F515C7AB037E2212018DB5B3,
-										F515C7AC037E2212018DB5B3,
-										F515C7AD037E2212018DB5B3,
-										F515C7AE037E2212018DB5B3,
-										F515C7AF037E2212018DB5B3,
-										F515C7B0037E2212018DB5B3,
-										F515C7B1037E2212018DB5B3,
-										F515C7B2037E2212018DB5B3,
-										F515C7B3037E2212018DB5B3,
-										F515C7B4037E2212018DB5B3,
-										F515C7B5037E2212018DB5B3,
-										F515C7B6037E2212018DB5B3,
-										F515C7B7037E2212018DB5B3,
-										F515C7B8037E2212018DB5B3,
-										F515C7B9037E2212018DB5B3,
-										F515C7BA037E2212018DB5B3,
-										F515C7BB037E2212018DB5B3,
-										F515C7BC037E2212018DB5B3,
-										F515C7BD037E2212018DB5B3,
-										F515C7BE037E2212018DB5B3,
-										F515C7BF037E2212018DB5B3,
-										F515C7C0037E2212018DB5B3,
-										F515C7C1037E2212018DB5B3,
-										F515C7C2037E2212018DB5B3,
-										F515C7C3037E2212018DB5B3,
-										F515C7C4037E2212018DB5B3,
-										F515C7C5037E2212018DB5B3,
-										F515C7C6037E2212018DB5B3,
-										F515C7C7037E2212018DB5B3,
-										F515C7C8037E2212018DB5B3,
-										F515C7C9037E2212018DB5B3,
-										F515C7CA037E2212018DB5B3,
-										F515C7CB037E2212018DB5B3,
-										F515C7CC037E2212018DB5B3,
-										F515C7CD037E2212018DB5B3,
-										F515C7CE037E2212018DB5B3,
-										F515C7CF037E2212018DB5B3,
-										F515C7D0037E2212018DB5B3,
-										F515C7D1037E2212018DB5B3,
-										F515C7D2037E2212018DB5B3,
-										F515C7D3037E2212018DB5B3,
-										F515C7D4037E2212018DB5B3,
-										F515C7D5037E2212018DB5B3,
-										F515C7D6037E2212018DB5B3,
-										F515C7D7037E2212018DB5B3,
-										F515C7D8037E2212018DB5B3,
-										F515C7D9037E2212018DB5B3,
-										F515C7DA037E2212018DB5B3,
-										F515C7DB037E2212018DB5B3,
-										F515C7DC037E2212018DB5B3,
-										F515C7DD037E2212018DB5B3,
-										F515C7DE037E2212018DB5B3,
-										F515C7DF037E2212018DB5B3,
-										F515C7E0037E2212018DB5B3,
-										F515C7E1037E2212018DB5B3,
-									);
-								};
 								NavCount = 1;
 								NavGeometry0 = {
-									Frame = "{{0, 0}, {661, 659}}";
+									Frame = "{{0, 0}, {150, 530}}";
 									NavBarVisible = YES;
 								};
@@ -786,8 +173,5 @@
 							OptionsSetName = "Hierarchy, all classes";
 						};
-						Tab3 = {
-							SplitCount = 2;
-						};
-						TabCount = 6;
+						TabCount = 5;
 					};
 				},
@@ -798,5 +182,5 @@
 								NavCount = 1;
 								NavGeometry0 = {
-									Frame = "{{0, 0}, {981, 150}}";
+									Frame = "{{0, 0}, {973, 150}}";
 									NavBarVisible = YES;
 								};
@@ -824,8 +208,46 @@
 							OptionsSetName = "Hierarchy, all classes";
 						};
-						Tab3 = {
-							SplitCount = 2;
-						};
-						TabCount = 6;
+						TabCount = 5;
+					};
+				},
+				{
+					LeftSlideOut = {
+						Split0 = {
+							Split0 = {
+								NavContent0 = {
+									bookmark = F562F80B037E5D2101AEEDB1;
+									history = (
+										F5B163A5037E543A01AEEDB1,
+									);
+								};
+								NavCount = 1;
+								NavGeometry0 = {
+									Frame = "{{0, 0}, {668, 621}}";
+									NavBarVisible = YES;
+								};
+							};
+							SplitCount = 1;
+							Tab0 = {
+								Debugger = {
+									Split0 = {
+										SplitCount = 2;
+									};
+									SplitCount = 1;
+									TabCount = 2;
+								};
+								LauncherConfigVersion = 7;
+							};
+							Tab1 = {
+								LauncherConfigVersion = 3;
+								Runner = {
+								};
+							};
+							TabCount = 4;
+						};
+						SplitCount = 1;
+						Tab1 = {
+							OptionsSetName = "Hierarchy, all classes";
+						};
+						TabCount = 5;
 					};
 				},
@@ -836,5 +258,5 @@
 								NavCount = 1;
 								NavGeometry0 = {
-									Frame = "{{0, 0}, {749, 262}}";
+									Frame = "{{0, 0}, {618, 150}}";
 									NavBarVisible = YES;
 								};
@@ -862,46 +284,5 @@
 							OptionsSetName = "Hierarchy, all classes";
 						};
-						Tab3 = {
-							SplitCount = 2;
-						};
-						TabCount = 6;
-					};
-				},
-				{
-					LeftSlideOut = {
-						Split0 = {
-							Split0 = {
-								NavCount = 1;
-								NavGeometry0 = {
-									Frame = "{{0, 0}, {685, 190}}";
-									NavBarVisible = YES;
-								};
-							};
-							SplitCount = 1;
-							Tab0 = {
-								Debugger = {
-									Split0 = {
-										SplitCount = 2;
-									};
-									SplitCount = 1;
-									TabCount = 2;
-								};
-								LauncherConfigVersion = 7;
-							};
-							Tab1 = {
-								LauncherConfigVersion = 3;
-								Runner = {
-								};
-							};
-							TabCount = 4;
-						};
-						SplitCount = 1;
-						Tab1 = {
-							OptionsSetName = "Hierarchy, all classes";
-						};
-						Tab3 = {
-							SplitCount = 2;
-						};
-						TabCount = 6;
+						TabCount = 5;
 					};
 				},
@@ -909,14 +290,14 @@
 			PBXWorkspaceGeometries = (
 				{
-					ContentSize = "{966, 682}";
+					ContentSize = "{352, 553}";
 					LeftSlideOut = {
 						ActiveTab = 0;
-						Collapsed = NO;
-						Frame = "{{0, 23}, {966, 659}}";
+						Collapsed = YES;
+						Frame = "{{0, 23}, {352, 530}}";
 						Split0 = {
 							Collapsed = NO;
-							Frame = "{{305, 0}, {661, 659}}";
+							Frame = "{{1e+06, 1e+06}, {0, 530}}";
 							Split0 = {
-								Frame = "{{0, 0}, {661, 659}}";
+								Frame = "{{0, 0}, {0, 530}}";
 							};
 							SplitCount = 1;
@@ -924,20 +305,20 @@
 								Debugger = {
 									Collapsed = NO;
-									Frame = "{{0, 0}, {681, 289}}";
+									Frame = "{{0, 0}, {484, 208}}";
 									Split0 = {
-										Frame = "{{0, 24}, {681, 265}}";
+										Frame = "{{0, 24}, {484, 184}}";
 										Split0 = {
-											Frame = "{{0, 0}, {333, 265}}";
+											Frame = "{{0, 0}, {236, 184}}";
 										};
 										Split1 = {
 											DebugVariablesTableConfiguration = (
 												Name,
-												82.80298,
+												123,
 												Value,
-												104.074,
+												85,
 												Summary,
-												126.123,
+												62.123,
 											);
-											Frame = "{{342, 0}, {339, 265}}";
+											Frame = "{{245, 0}, {239, 184}}";
 										};
 										SplitCount = 2;
@@ -953,21 +334,21 @@
 									TabsVisible = YES;
 								};
-								Frame = "{{0, 0}, {681, 289}}";
+								Frame = "{{0, 0}, {484, 208}}";
 								LauncherConfigVersion = 7;
 							};
 							Tab1 = {
-								Frame = "{{0, 0}, {681, 120}}";
+								Frame = "{{0, 0}, {664, 208}}";
 								LauncherConfigVersion = 3;
 								Runner = {
-									Frame = "{{0, 0}, {681, 120}}";
+									Frame = "{{0, 0}, {664, 208}}";
 								};
 							};
 							Tab2 = {
-								BuildMessageFrame = "{{0, 0}, {683, 127}}";
-								BuildTranscriptFrame = "{{0, 136}, {683, 100}}";
-								Frame = "{{0, 0}, {681, 234}}";
+								BuildMessageFrame = "{{0, 0}, {666, 43}}";
+								BuildTranscriptFrame = "{{0, 52}, {666, 0}}";
+								Frame = "{{0, 0}, {664, 50}}";
 							};
 							Tab3 = {
-								Frame = "{{0, 0}, {681, 238}}";
+								Frame = "{{0, 0}, {612, 295}}";
 							};
 							TabCount = 4;
@@ -976,79 +357,57 @@
 						SplitCount = 1;
 						Tab0 = {
-							Frame = "{{0, 0}, {281, 659}}";
+							Frame = "{{0, 0}, {328, 530}}";
 							GroupTreeTableConfiguration = (
 								TargetStatusColumn,
 								18,
 								MainColumn,
-								248,
+								295,
 							);
 						};
 						Tab1 = {
-							ClassesFrame = "{{0, 0}, {250, 397}}";
+							ClassesFrame = "{{0, 0}, {343, 348}}";
 							ClassesTreeTableConfiguration = (
 								PBXBookColumnIdentifier,
 								20,
 								PBXClassColumnIdentifier,
-								207,
-							);
-							Frame = "{{0, 0}, {248, 659}}";
-							MembersFrame = "{{0, 406}, {250, 253}}";
+								300,
+							);
+							Frame = "{{0, 0}, {341, 578}}";
+							MembersFrame = "{{0, 357}, {343, 221}}";
 							MembersTreeTableConfiguration = (
 								PBXBookColumnIdentifier,
 								20,
 								PBXMethodColumnIdentifier,
-								206,
+								299,
 							);
 						};
 						Tab2 = {
-							Frame = "{{0, 0}, {217, 554}}";
+							Frame = "{{0, 0}, {319, 576}}";
 						};
 						Tab3 = {
-							Frame = "{{0, 0}, {239, 554}}";
-							Split0 = {
-								Frame = "{{0, 0}, {239, 268}}";
-								TargetTreeTableConfiguration = (
-									ActiveTarget,
-									16,
-									TargetName,
-									207,
-								);
-							};
-							Split1 = {
-								BuildStyleTreeTableConfiguration = (
-									IsActive,
-									16,
-									Name,
-									208,
-								);
-								Frame = "{{0, 277}, {239, 277}}";
-							};
-							SplitCount = 2;
+							Frame = "{{0, 0}, {341, 578}}";
+							TargetTableConfiguration = (
+								ActiveObject,
+								16,
+								ObjectNames,
+								308.296,
+							);
 						};
 						Tab4 = {
-							ExecutableTreeTableConfiguration = (
-								ActiveExecutable,
-								16,
-								ExecutableName,
-								217,
-							);
-							Frame = "{{0, 0}, {250, 659}}";
-						};
-						Tab5 = {
 							BreakpointsTreeTableConfiguration = (
 								breakpointColumn,
-								197,
+								266,
 								enabledColumn,
 								31,
 							);
-							Frame = "{{0, 0}, {250, 555}}";
-						};
-						TabCount = 6;
+							Frame = "{{0, 0}, {319, 576}}";
+						};
+						TabCount = 5;
 						TabsVisible = YES;
 					};
 					StatusViewVisible = YES;
-					Template = 64ABBB4501FA494900185B06;
+					Template = F5E465990156DFB90DCA290F;
 					ToolbarVisible = YES;
-					WindowLocation = "{60, 88}";
+					WindowLocation = "{20, 551}";
 				},
 				{
@@ -1062,5 +421,5 @@
 							Frame = "{{0, 0}, {973, 141}}";
 							Split0 = {
-								Frame = "{{1e+06, 1e+06}, {981, 0}}";
+								Frame = "{{1e+06, 1e+06}, {973, 0}}";
 							};
 							SplitCount = 1;
@@ -1150,34 +509,12 @@
 						Tab3 = {
 							Frame = "{{0, 0}, {200, 386}}";
-							Split0 = {
-								Frame = "{{0, 0}, {200, 186}}";
-								TargetTreeTableConfiguration = (
-									ActiveTarget,
-									16,
-									TargetName,
-									168,
-								);
-							};
-							Split1 = {
-								BuildStyleTreeTableConfiguration = (
-									IsActive,
-									16,
-									Name,
-									169,
-								);
-								Frame = "{{0, 195}, {200, 191}}";
-							};
-							SplitCount = 2;
+							TargetTableConfiguration = (
+								ActiveObject,
+								16,
+								ObjectNames,
+								202.296,
+							);
 						};
 						Tab4 = {
-							ExecutableTreeTableConfiguration = (
-								ActiveExecutable,
-								16,
-								ExecutableName,
-								217,
-							);
-							Frame = "{{0, 0}, {250, 386}}";
-						};
-						Tab5 = {
 							BreakpointsTreeTableConfiguration = (
 								breakpointColumn,
@@ -1186,7 +523,7 @@
 								31,
 							);
-							Frame = "{{0, 0}, {250, 100}}";
-						};
-						TabCount = 6;
+							Frame = "{{0, 0}, {250, 386}}";
+						};
+						TabCount = 5;
 						TabsVisible = NO;
 					};
@@ -1197,14 +534,13 @@
 				},
 				{
-					ContentSize = "{773, 558}";
+					ContentSize = "{668, 621}";
 					LeftSlideOut = {
 						Collapsed = NO;
-						Frame = "{{0, 23}, {773, 535}}";
+						Frame = "{{0, 0}, {668, 621}}";
 						Split0 = {
-							ActiveTab = 0;
 							Collapsed = NO;
-							Frame = "{{24, 0}, {749, 535}}";
+							Frame = "{{0, 0}, {668, 621}}";
 							Split0 = {
-								Frame = "{{0, 273}, {749, 262}}";
+								Frame = "{{0, 0}, {668, 621}}";
 							};
 							SplitCount = 1;
@@ -1212,20 +548,20 @@
 								Debugger = {
 									Collapsed = NO;
-									Frame = "{{0, 0}, {749, 267}}";
+									Frame = "{{0, 0}, {484, 208}}";
 									Split0 = {
-										Frame = "{{0, 24}, {749, 243}}";
+										Frame = "{{0, 24}, {484, 184}}";
 										Split0 = {
-											Frame = "{{0, 0}, {366, 243}}";
+											Frame = "{{0, 0}, {236, 184}}";
 										};
 										Split1 = {
 											DebugVariablesTableConfiguration = (
 												Name,
-												93.80298,
+												123,
 												Value,
-												116.074,
+												85,
 												Summary,
-												138.123,
+												62.123,
 											);
-											Frame = "{{375, 0}, {374, 243}}";
+											Frame = "{{245, 0}, {239, 184}}";
 										};
 										SplitCount = 2;
@@ -1241,5 +577,5 @@
 									TabsVisible = YES;
 								};
-								Frame = "{{0, 0}, {749, 267}}";
+								Frame = "{{0, 0}, {484, 208}}";
 								LauncherConfigVersion = 7;
 							};
@@ -1294,34 +630,12 @@
 						Tab3 = {
 							Frame = "{{0, 0}, {200, 557}}";
-							Split0 = {
-								Frame = "{{0, 0}, {200, 270}}";
-								TargetTreeTableConfiguration = (
-									ActiveTarget,
-									16,
-									TargetName,
-									168,
-								);
-							};
-							Split1 = {
-								BuildStyleTreeTableConfiguration = (
-									IsActive,
-									16,
-									Name,
-									169,
-								);
-								Frame = "{{0, 279}, {200, 278}}";
-							};
-							SplitCount = 2;
+							TargetTableConfiguration = (
+								ActiveObject,
+								16,
+								ObjectNames,
+								202.296,
+							);
 						};
 						Tab4 = {
-							ExecutableTreeTableConfiguration = (
-								ActiveExecutable,
-								16,
-								ExecutableName,
-								217,
-							);
-							Frame = "{{0, 0}, {250, 100}}";
-						};
-						Tab5 = {
 							BreakpointsTreeTableConfiguration = (
 								breakpointColumn,
@@ -1332,23 +646,23 @@
 							Frame = "{{0, 0}, {250, 100}}";
 						};
-						TabCount = 6;
-						TabsVisible = YES;
-					};
-					StatusViewVisible = YES;
-					Template = F5CA7ECC015C09990DCA290F;
-					ToolbarVisible = YES;
-					WindowLocation = "{13, 212}";
+						TabCount = 5;
+						TabsVisible = NO;
+					};
+					StatusViewVisible = NO;
+					Template = F5CA7ECB015C094F0DCA290F;
+					ToolbarVisible = NO;
+					WindowLocation = "{392, 503}";
 				},
 				{
-					ContentSize = "{685, 434}";
+					ContentSize = "{618, 257}";
 					LeftSlideOut = {
 						Collapsed = NO;
-						Frame = "{{0, 23}, {685, 411}}";
+						Frame = "{{0, 23}, {618, 234}}";
 						Split0 = {
 							ActiveTab = 2;
-							Collapsed = NO;
-							Frame = "{{0, 0}, {685, 411}}";
+							Collapsed = YES;
+							Frame = "{{0, 0}, {618, 234}}";
 							Split0 = {
-								Frame = "{{0, 221}, {685, 190}}";
+								Frame = "{{1e+06, 1e+06}, {618, 0}}";
 							};
 							SplitCount = 1;
@@ -1396,7 +710,7 @@
 							};
 							Tab2 = {
-								BuildMessageFrame = "{{0, 0}, {687, 149}}";
-								BuildTranscriptFrame = "{{0, 158}, {687, 59}}";
-								Frame = "{{0, 0}, {685, 215}}";
+								BuildMessageFrame = "{{0, 0}, {620, 123}}";
+								BuildTranscriptFrame = "{{0, 132}, {620, 98}}";
+								Frame = "{{0, 0}, {618, 228}}";
 							};
 							Tab3 = {
@@ -1438,34 +752,12 @@
 						Tab3 = {
 							Frame = "{{0, 0}, {200, 100}}";
-							Split0 = {
-								Frame = "{{0, 0}, {200, 45}}";
-								TargetTreeTableConfiguration = (
-									ActiveTarget,
-									16,
-									TargetName,
-									168,
-								);
-							};
-							Split1 = {
-								BuildStyleTreeTableConfiguration = (
-									IsActive,
-									16,
-									Name,
-									169,
-								);
-								Frame = "{{0, 54}, {200, 46}}";
-							};
-							SplitCount = 2;
+							TargetTableConfiguration = (
+								ActiveObject,
+								16,
+								ObjectNames,
+								202.296,
+							);
 						};
 						Tab4 = {
-							ExecutableTreeTableConfiguration = (
-								ActiveExecutable,
-								16,
-								ExecutableName,
-								217,
-							);
-							Frame = "{{0, 0}, {250, 100}}";
-						};
-						Tab5 = {
 							BreakpointsTreeTableConfiguration = (
 								breakpointColumn,
@@ -1476,5 +768,5 @@
 							Frame = "{{0, 0}, {250, 100}}";
 						};
-						TabCount = 6;
+						TabCount = 5;
 						TabsVisible = NO;
 					};
@@ -1482,163 +774,12 @@
 					Template = F5314676015831810DCA290F;
 					ToolbarVisible = YES;
-					WindowLocation = "{421, 52}";
+					WindowLocation = "{427, 271}";
 				},
 			);
-			PBXWorkspaceStateSaveDate = 58520961;
+			PBXWorkspaceStateSaveDate = 58614289;
 		};
 		perUserProjectItems = {
-			F515C76D037E2212018DB5B3 = F515C76D037E2212018DB5B3;
-			F515C76E037E2212018DB5B3 = F515C76E037E2212018DB5B3;
-			F515C76F037E2212018DB5B3 = F515C76F037E2212018DB5B3;
-			F515C770037E2212018DB5B3 = F515C770037E2212018DB5B3;
-			F515C771037E2212018DB5B3 = F515C771037E2212018DB5B3;
-			F515C772037E2212018DB5B3 = F515C772037E2212018DB5B3;
-			F515C773037E2212018DB5B3 = F515C773037E2212018DB5B3;
-			F515C774037E2212018DB5B3 = F515C774037E2212018DB5B3;
-			F515C775037E2212018DB5B3 = F515C775037E2212018DB5B3;
-			F515C776037E2212018DB5B3 = F515C776037E2212018DB5B3;
-			F515C777037E2212018DB5B3 = F515C777037E2212018DB5B3;
-			F515C778037E2212018DB5B3 = F515C778037E2212018DB5B3;
-			F515C779037E2212018DB5B3 = F515C779037E2212018DB5B3;
-			F515C77A037E2212018DB5B3 = F515C77A037E2212018DB5B3;
-			F515C77B037E2212018DB5B3 = F515C77B037E2212018DB5B3;
-			F515C77C037E2212018DB5B3 = F515C77C037E2212018DB5B3;
-			F515C77D037E2212018DB5B3 = F515C77D037E2212018DB5B3;
-			F515C77E037E2212018DB5B3 = F515C77E037E2212018DB5B3;
-			F515C77F037E2212018DB5B3 = F515C77F037E2212018DB5B3;
-			F515C780037E2212018DB5B3 = F515C780037E2212018DB5B3;
-			F515C781037E2212018DB5B3 = F515C781037E2212018DB5B3;
-			F515C782037E2212018DB5B3 = F515C782037E2212018DB5B3;
-			F515C783037E2212018DB5B3 = F515C783037E2212018DB5B3;
-			F515C784037E2212018DB5B3 = F515C784037E2212018DB5B3;
-			F515C785037E2212018DB5B3 = F515C785037E2212018DB5B3;
-			F515C786037E2212018DB5B3 = F515C786037E2212018DB5B3;
-			F515C787037E2212018DB5B3 = F515C787037E2212018DB5B3;
-			F515C788037E2212018DB5B3 = F515C788037E2212018DB5B3;
-			F515C789037E2212018DB5B3 = F515C789037E2212018DB5B3;
-			F515C78A037E2212018DB5B3 = F515C78A037E2212018DB5B3;
-			F515C78B037E2212018DB5B3 = F515C78B037E2212018DB5B3;
-			F515C78C037E2212018DB5B3 = F515C78C037E2212018DB5B3;
-			F515C78D037E2212018DB5B3 = F515C78D037E2212018DB5B3;
-			F515C78E037E2212018DB5B3 = F515C78E037E2212018DB5B3;
-			F515C78F037E2212018DB5B3 = F515C78F037E2212018DB5B3;
-			F515C790037E2212018DB5B3 = F515C790037E2212018DB5B3;
-			F515C791037E2212018DB5B3 = F515C791037E2212018DB5B3;
-			F515C792037E2212018DB5B3 = F515C792037E2212018DB5B3;
-			F515C793037E2212018DB5B3 = F515C793037E2212018DB5B3;
-			F515C794037E2212018DB5B3 = F515C794037E2212018DB5B3;
-			F515C795037E2212018DB5B3 = F515C795037E2212018DB5B3;
-			F515C796037E2212018DB5B3 = F515C796037E2212018DB5B3;
-			F515C797037E2212018DB5B3 = F515C797037E2212018DB5B3;
-			F515C798037E2212018DB5B3 = F515C798037E2212018DB5B3;
-			F515C799037E2212018DB5B3 = F515C799037E2212018DB5B3;
-			F515C79A037E2212018DB5B3 = F515C79A037E2212018DB5B3;
-			F515C79B037E2212018DB5B3 = F515C79B037E2212018DB5B3;
-			F515C79C037E2212018DB5B3 = F515C79C037E2212018DB5B3;
-			F515C79D037E2212018DB5B3 = F515C79D037E2212018DB5B3;
-			F515C79E037E2212018DB5B3 = F515C79E037E2212018DB5B3;
-			F515C79F037E2212018DB5B3 = F515C79F037E2212018DB5B3;
-			F515C7A0037E2212018DB5B3 = F515C7A0037E2212018DB5B3;
-			F515C7A1037E2212018DB5B3 = F515C7A1037E2212018DB5B3;
-			F515C7A2037E2212018DB5B3 = F515C7A2037E2212018DB5B3;
-			F515C7A3037E2212018DB5B3 = F515C7A3037E2212018DB5B3;
-			F515C7A4037E2212018DB5B3 = F515C7A4037E2212018DB5B3;
-			F515C7A5037E2212018DB5B3 = F515C7A5037E2212018DB5B3;
-			F515C7A6037E2212018DB5B3 = F515C7A6037E2212018DB5B3;
-			F515C7A7037E2212018DB5B3 = F515C7A7037E2212018DB5B3;
-			F515C7A8037E2212018DB5B3 = F515C7A8037E2212018DB5B3;
-			F515C7A9037E2212018DB5B3 = F515C7A9037E2212018DB5B3;
-			F515C7AA037E2212018DB5B3 = F515C7AA037E2212018DB5B3;
-			F515C7AB037E2212018DB5B3 = F515C7AB037E2212018DB5B3;
-			F515C7AC037E2212018DB5B3 = F515C7AC037E2212018DB5B3;
-			F515C7AD037E2212018DB5B3 = F515C7AD037E2212018DB5B3;
-			F515C7AE037E2212018DB5B3 = F515C7AE037E2212018DB5B3;
-			F515C7AF037E2212018DB5B3 = F515C7AF037E2212018DB5B3;
-			F515C7B0037E2212018DB5B3 = F515C7B0037E2212018DB5B3;
-			F515C7B1037E2212018DB5B3 = F515C7B1037E2212018DB5B3;
-			F515C7B2037E2212018DB5B3 = F515C7B2037E2212018DB5B3;
-			F515C7B3037E2212018DB5B3 = F515C7B3037E2212018DB5B3;
-			F515C7B4037E2212018DB5B3 = F515C7B4037E2212018DB5B3;
-			F515C7B5037E2212018DB5B3 = F515C7B5037E2212018DB5B3;
-			F515C7B6037E2212018DB5B3 = F515C7B6037E2212018DB5B3;
-			F515C7B7037E2212018DB5B3 = F515C7B7037E2212018DB5B3;
-			F515C7B8037E2212018DB5B3 = F515C7B8037E2212018DB5B3;
-			F515C7B9037E2212018DB5B3 = F515C7B9037E2212018DB5B3;
-			F515C7BA037E2212018DB5B3 = F515C7BA037E2212018DB5B3;
-			F515C7BB037E2212018DB5B3 = F515C7BB037E2212018DB5B3;
-			F515C7BC037E2212018DB5B3 = F515C7BC037E2212018DB5B3;
-			F515C7BD037E2212018DB5B3 = F515C7BD037E2212018DB5B3;
-			F515C7BE037E2212018DB5B3 = F515C7BE037E2212018DB5B3;
-			F515C7BF037E2212018DB5B3 = F515C7BF037E2212018DB5B3;
-			F515C7C0037E2212018DB5B3 = F515C7C0037E2212018DB5B3;
-			F515C7C1037E2212018DB5B3 = F515C7C1037E2212018DB5B3;
-			F515C7C2037E2212018DB5B3 = F515C7C2037E2212018DB5B3;
-			F515C7C3037E2212018DB5B3 = F515C7C3037E2212018DB5B3;
-			F515C7C4037E2212018DB5B3 = F515C7C4037E2212018DB5B3;
-			F515C7C5037E2212018DB5B3 = F515C7C5037E2212018DB5B3;
-			F515C7C6037E2212018DB5B3 = F515C7C6037E2212018DB5B3;
-			F515C7C7037E2212018DB5B3 = F515C7C7037E2212018DB5B3;
-			F515C7C8037E2212018DB5B3 = F515C7C8037E2212018DB5B3;
-			F515C7C9037E2212018DB5B3 = F515C7C9037E2212018DB5B3;
-			F515C7CA037E2212018DB5B3 = F515C7CA037E2212018DB5B3;
-			F515C7CB037E2212018DB5B3 = F515C7CB037E2212018DB5B3;
-			F515C7CC037E2212018DB5B3 = F515C7CC037E2212018DB5B3;
-			F515C7CD037E2212018DB5B3 = F515C7CD037E2212018DB5B3;
-			F515C7CE037E2212018DB5B3 = F515C7CE037E2212018DB5B3;
-			F515C7CF037E2212018DB5B3 = F515C7CF037E2212018DB5B3;
-			F515C7D0037E2212018DB5B3 = F515C7D0037E2212018DB5B3;
-			F515C7D1037E2212018DB5B3 = F515C7D1037E2212018DB5B3;
-			F515C7D2037E2212018DB5B3 = F515C7D2037E2212018DB5B3;
-			F515C7D3037E2212018DB5B3 = F515C7D3037E2212018DB5B3;
-			F515C7D4037E2212018DB5B3 = F515C7D4037E2212018DB5B3;
-			F515C7D5037E2212018DB5B3 = F515C7D5037E2212018DB5B3;
-			F515C7D6037E2212018DB5B3 = F515C7D6037E2212018DB5B3;
-			F515C7D7037E2212018DB5B3 = F515C7D7037E2212018DB5B3;
-			F515C7D8037E2212018DB5B3 = F515C7D8037E2212018DB5B3;
-			F515C7D9037E2212018DB5B3 = F515C7D9037E2212018DB5B3;
-			F515C7DA037E2212018DB5B3 = F515C7DA037E2212018DB5B3;
-			F515C7DB037E2212018DB5B3 = F515C7DB037E2212018DB5B3;
-			F515C7DC037E2212018DB5B3 = F515C7DC037E2212018DB5B3;
-			F515C7DD037E2212018DB5B3 = F515C7DD037E2212018DB5B3;
-			F515C7DE037E2212018DB5B3 = F515C7DE037E2212018DB5B3;
-			F515C7DF037E2212018DB5B3 = F515C7DF037E2212018DB5B3;
-			F515C7E0037E2212018DB5B3 = F515C7E0037E2212018DB5B3;
-			F515C7E1037E2212018DB5B3 = F515C7E1037E2212018DB5B3;
-			F515C7E2037E2212018DB5B3 = F515C7E2037E2212018DB5B3;
-			F51E9997037C98BC01827940 = F51E9997037C98BC01827940;
-			F51E9998037C98BC01827940 = F51E9998037C98BC01827940;
-			F51E999C037C98BC01827940 = F51E999C037C98BC01827940;
-			F51E999E037C98BC01827940 = F51E999E037C98BC01827940;
-			F51E99A1037C98BC01827940 = F51E99A1037C98BC01827940;
-			F51E99A3037C98BC01827940 = F51E99A3037C98BC01827940;
-			F51E99A4037C98BC01827940 = F51E99A4037C98BC01827940;
-			F51E99A8037C98BC01827940 = F51E99A8037C98BC01827940;
-			F51E99AA037C98BC01827940 = F51E99AA037C98BC01827940;
-			F51E99AB037C98BC01827940 = F51E99AB037C98BC01827940;
-			F51E99AE037C98BC01827940 = F51E99AE037C98BC01827940;
-			F51E99AF037C98BC01827940 = F51E99AF037C98BC01827940;
-			F51E99B0037C98BC01827940 = F51E99B0037C98BC01827940;
-			F51E99B1037C98BC01827940 = F51E99B1037C98BC01827940;
-			F51E99B3037C98BC01827940 = F51E99B3037C98BC01827940;
-			F51E99B4037C98BC01827940 = F51E99B4037C98BC01827940;
-			F51E99B5037C98BC01827940 = F51E99B5037C98BC01827940;
-			F51E99B6037C98BC01827940 = F51E99B6037C98BC01827940;
-			F51E99B7037C98BC01827940 = F51E99B7037C98BC01827940;
-			F51E99B8037C98BC01827940 = F51E99B8037C98BC01827940;
-			F51E99B9037C98BC01827940 = F51E99B9037C98BC01827940;
-			F51E99BA037C98BC01827940 = F51E99BA037C98BC01827940;
-			F51E99BB037C98BC01827940 = F51E99BB037C98BC01827940;
-			F51E99BC037C98BC01827940 = F51E99BC037C98BC01827940;
-			F51E99BD037C98BC01827940 = F51E99BD037C98BC01827940;
-			F51E99BE037C98BC01827940 = F51E99BE037C98BC01827940;
-			F51E99BF037C98BC01827940 = F51E99BF037C98BC01827940;
-			F51E99C0037C98BC01827940 = F51E99C0037C98BC01827940;
-			F51E99C1037C98BC01827940 = F51E99C1037C98BC01827940;
-			F51E99C2037C98BC01827940 = F51E99C2037C98BC01827940;
-			F51E99C3037C98BC01827940 = F51E99C3037C98BC01827940;
-			F51E99C4037C98BC01827940 = F51E99C4037C98BC01827940;
-			F51E99C5037C98BC01827940 = F51E99C5037C98BC01827940;
-			F51E99C6037C98BC01827940 = F51E99C6037C98BC01827940;
-			F51E99C7037C98BC01827940 = F51E99C7037C98BC01827940;
+			F562F80B037E5D2101AEEDB1 = F562F80B037E5D2101AEEDB1;
+			F5B163A5037E543A01AEEDB1 = F5B163A5037E543A01AEEDB1;
 		};
 		projectwideBuildSettings = {
@@ -1659,10 +800,4 @@
 		symbolName = szone_error;
 	};
-	F51152D1036B632B01E23CC6 = {
-		fileReference = F59E4793036AA5E9016B311C;
-		isa = PBXFileBreakpoint;
-		lineNumber = 180;
-		state = 1;
-	};
 	F515C769037DFB63018DB5B3 = {
 		fRef = F5F240B6036A862101FE7503;
@@ -1680,1389 +815,9 @@
 		name = "PSAlarmSetController.m: inAtChanged:";
 		rLen = 0;
-		rLoc = 8241;
+		rLoc = 8580;
 		rType = 0;
 		vrLen = 1674;
 		vrLoc = 7871;
 	};
-	F515C76D037E2212018DB5B3 = {
-		fRef = F515C7E7037E2212018DB5B3;
-		isa = PBXBookmark;
-	};
-	F515C76E037E2212018DB5B3 = {
-		fRef = F515C7F0037E2212018DB5B3;
-		isa = PBXTextBookmark;
-		name = "Controls.h: 99";
-		rLen = 0;
-		rLoc = 2493;
-		rType = 0;
-		vrLen = 2858;
-		vrLoc = 3060;
-	};
-	F515C76F037E2212018DB5B3 = {
-		fRef = F515C7F1037E2212018DB5B3;
-		isa = PBXTextBookmark;
-		name = "NSDate.h: 25";
-		rLen = 0;
-		rLoc = 521;
-		rType = 0;
-		vrLen = 1045;
-		vrLoc = 302;
-	};
-	F515C770037E2212018DB5B3 = {
-		fRef = F515C7F2037E2212018DB5B3;
-		isa = PBXBookmark;
-	};
-	F515C771037E2212018DB5B3 = {
-		fRef = F515C7F3037E2212018DB5B3;
-		isa = PBXTextBookmark;
-		name = "NSScanner.h: 34";
-		rLen = 0;
-		rLoc = 954;
-		rType = 0;
-		vrLen = 1256;
-		vrLoc = 0;
-	};
-	F515C772037E2212018DB5B3 = {
-		fRef = F515C7EB037E2212018DB5B3;
-		isa = PBXTextBookmark;
-		name = "NSClassDescription.h: 19";
-		rLen = 69;
-		rLoc = 532;
-		rType = 0;
-		vrLen = 954;
-		vrLoc = 0;
-	};
-	F515C773037E2212018DB5B3 = {
-		fRef = F515C7F5037E2212018DB5B3;
-		isa = PBXTextBookmark;
-		name = "NSCharacterSet.h: 17";
-		rLen = 41;
-		rLoc = 323;
-		rType = 0;
-		vrLen = 1609;
-		vrLoc = 0;
-	};
-	F515C774037E2212018DB5B3 = {
-		fRef = F515C7F6037E2212018DB5B3;
-		isa = PBXTextBookmark;
-		name = "NSRange.h: 12";
-		rLen = 11;
-		rLoc = 200;
-		rType = 0;
-		vrLen = 1213;
-		vrLoc = 0;
-	};
-	F515C775037E2212018DB5B3 = {
-		fRef = F515C7F7037E2212018DB5B3;
-		isa = PBXTextBookmark;
-		name = "ControlDefinitions.h: 1311";
-		rLen = 0;
-		rLoc = 51116;
-		rType = 0;
-		vrLen = 1192;
-		vrLoc = 49198;
-	};
-	F515C776037E2212018DB5B3 = {
-		fRef = F5F198D0036BE57401EB0372;
-		isa = PBXTextBookmark;
-		name = "NJRTableDelegate.m: key";
-		rLen = 0;
-		rLoc = 618;
-		rType = 0;
-		vrLen = 1133;
-		vrLoc = 0;
-	};
-	F515C777037E2212018DB5B3 = {
-		fRef = F515C7F8037E2212018DB5B3;
-		isa = PBXBookmark;
-	};
-	F515C778037E2212018DB5B3 = {
-		fRef = F517D6430356B8CC016D68B9;
-		isa = PBXTextBookmark;
-		name = "PSAlarms.h: 1";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 612;
-		vrLoc = 0;
-	};
-	F515C779037E2212018DB5B3 = {
-		fRef = F515C7E3037E2212018DB5B3;
-		isa = PBXTextBookmark;
-		name = "NSFormatter.h: 14";
-		rLen = 44;
-		rLoc = 263;
-		rType = 0;
-		vrLen = 1230;
-		vrLoc = 0;
-	};
-	F515C77A037E2212018DB5B3 = {
-		fRef = F515C7FB037E2212018DB5B3;
-		isa = PBXTextBookmark;
-		name = "NSCalendarDate.h: 74";
-		rLen = 0;
-		rLoc = 2518;
-		rType = 0;
-		vrLen = 1061;
-		vrLoc = 1636;
-	};
-	F515C77B037E2212018DB5B3 = {
-		fRef = F59F6CB40354E7DA01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarm.h: shortDateString";
-		rLen = 0;
-		rLoc = 1079;
-		rType = 0;
-		vrLen = 861;
-		vrLoc = 453;
-	};
-	F515C77C037E2212018DB5B3 = {
-		fRef = F515C7FC037E2212018DB5B3;
-		isa = PBXBookmark;
-	};
-	F515C77D037E2212018DB5B3 = {
-		fRef = F515C7E8037E2212018DB5B3;
-		isa = PBXTextBookmark;
-		name = "NSMenu.h: 58";
-		rLen = 9;
-		rLoc = 1783;
-		rType = 0;
-		vrLen = 1289;
-		vrLoc = 872;
-	};
-	F515C77E037E2212018DB5B3 = {
-		fRef = F515C7FD037E2212018DB5B3;
-		isa = PBXTextBookmark;
-		name = "NSMenuItem.h: 1";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 939;
-		vrLoc = 0;
-	};
-	F515C77F037E2212018DB5B3 = {
-		fRef = F515C7E5037E2212018DB5B3;
-		isa = PBXBookmark;
-	};
-	F515C780037E2212018DB5B3 = {
-		fRef = F515C7FF037E2212018DB5B3;
-		isa = PBXTextBookmark;
-		name = "NSPopUpButton.h: 78";
-		rLen = 25;
-		rLoc = 2241;
-		rType = 0;
-		vrLen = 950;
-		vrLoc = 1438;
-	};
-	F515C781037E2212018DB5B3 = {
-		fRef = F59E47B4036AAD55016B311C;
-		isa = PBXTextBookmark;
-		name = "PSAlarmAlertController.m: __VERSION__";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 947;
-		vrLoc = 0;
-	};
-	F515C782037E2212018DB5B3 = {
-		fRef = F515C7EC037E2212018DB5B3;
-		isa = PBXBookmark;
-	};
-	F515C783037E2212018DB5B3 = {
-		fRef = F517D63E0356B80C016D68B9;
-		isa = PBXTextBookmark;
-		name = "PSAlarmsController.m: tableView:objectValueForTableColumn:row:";
-		rLen = 0;
-		rLoc = 1912;
-		rType = 0;
-		vrLen = 1480;
-		vrLoc = 0;
-	};
-	F515C784037E2212018DB5B3 = {
-		fRef = F517D63F0356B80C016D68B9;
-		isa = PBXTextBookmark;
-		name = "PSAlarmsController.h: 6";
-		rLen = 0;
-		rLoc = 107;
-		rType = 0;
-		vrLen = 393;
-		vrLoc = 0;
-	};
-	F515C785037E2212018DB5B3 = {
-		fRef = F5F240CC036A877301FE7503;
-		isa = PBXTextBookmark;
-		name = "NJRQTMediaPopUpButton.m: NJRQTMediaPopUpButtonMovieChangedNotification";
-		rLen = 45;
-		rLoc = 368;
-		rType = 0;
-		vrLen = 1441;
-		vrLoc = 0;
-	};
-	F515C786037E2212018DB5B3 = {
-		fRef = F5F19870036B822E01EB0372;
-		isa = PBXTextBookmark;
-		name = "NJRVoicePopUpButton.m: _previewVoice";
-		rLen = 0;
-		rLoc = 3092;
-		rType = 0;
-		vrLen = 1414;
-		vrLoc = 2129;
-	};
-	F515C787037E2212018DB5B3 = {
-		fRef = F5F240B5036A862101FE7503;
-		isa = PBXTextBookmark;
-		name = "NJRFSObjectSelector.m: __VERSION__";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 1082;
-		vrLoc = 0;
-	};
-	F515C788037E2212018DB5B3 = {
-		fRef = F5F240B6036A862101FE7503;
-		isa = PBXTextBookmark;
-		name = "NJRFSObjectSelector.h: 13";
-		rLen = 0;
-		rLoc = 247;
-		rType = 0;
-		vrLen = 653;
-		vrLoc = 0;
-	};
-	F515C789037E2212018DB5B3 = {
-		fRef = F560E2F20357506401A4E466;
-		isa = PBXTextBookmark;
-		name = "PSApplication.h: 1";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 609;
-		vrLoc = 0;
-	};
-	F515C78A037E2212018DB5B3 = {
-		fRef = F560E2F10357506401A4E466;
-		isa = PBXTextBookmark;
-		name = "PSApplication.m: 17";
-		rLen = 0;
-		rLoc = 348;
-		rType = 0;
-		vrLen = 1273;
-		vrLoc = 0;
-	};
-	F515C78B037E2212018DB5B3 = {
-		fRef = F515C7EF037E2212018DB5B3;
-		isa = PBXTextBookmark;
-		name = "NSCell.h: 140";
-		rLen = 0;
-		rLoc = 3906;
-		rType = 0;
-		vrLen = 1073;
-		vrLoc = 3530;
-	};
-	F515C78C037E2212018DB5B3 = {
-		fRef = F59DC6D30353C9E601AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarmSetController.h: 24";
-		rLen = 19;
-		rLoc = 654;
-		rType = 0;
-		vrLen = 1601;
-		vrLoc = 205;
-	};
-	F515C78D037E2212018DB5B3 = {
-		fRef = F515C7E4037E2212018DB5B3;
-		isa = PBXTextBookmark;
-		name = "NSMatrix.h: 1";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 1821;
-		vrLoc = 4505;
-	};
-	F515C78E037E2212018DB5B3 = {
-		fRef = F515C7E9037E2212018DB5B3;
-		isa = PBXTextBookmark;
-		name = "NSButtonCell.h: 154";
-		rLen = 0;
-		rLoc = 5038;
-		rType = 0;
-		vrLen = 1692;
-		vrLoc = 973;
-	};
-	F515C78F037E2212018DB5B3 = {
-		fRef = F515C7EA037E2212018DB5B3;
-		isa = PBXTextBookmark;
-		name = "NSActionCell.h: 1";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 919;
-		vrLoc = 0;
-	};
-	F515C790037E2212018DB5B3 = {
-		fRef = F515C7F4037E2212018DB5B3;
-		isa = PBXBookmark;
-	};
-	F515C791037E2212018DB5B3 = {
-		fRef = F589C9C6035AA12B0155F4B2;
-		isa = PBXTextBookmark;
-		name = "Read Me.rtfd: 84";
-		rLen = 0;
-		rLoc = 6253;
-		rType = 0;
-		vrLen = 2489;
-		vrLoc = 5507;
-	};
-	F515C792037E2212018DB5B3 = {
-		fRef = F515C800037E2212018DB5B3;
-		isa = PBXTextBookmark;
-		name = "NSDateFormatter.h: 16";
-		rLen = 77;
-		rLoc = 258;
-		rType = 0;
-		vrLen = 399;
-		vrLoc = 0;
-	};
-	F515C793037E2212018DB5B3 = {
-		fRef = F59DC6FC0354188F01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "NJRDateFormatter.h: 13";
-		rLen = 0;
-		rLoc = 270;
-		rType = 0;
-		vrLen = 557;
-		vrLoc = 0;
-	};
-	F515C794037E2212018DB5B3 = {
-		fRef = F515C801037E2212018DB5B3;
-		isa = PBXTextBookmark;
-		name = "NSString.h: 166";
-		rLen = 7;
-		rLoc = 6420;
-		rType = 0;
-		vrLen = 1667;
-		vrLoc = 5371;
-	};
-	F515C795037E2212018DB5B3 = {
-		fRef = 089C165DFE840E0CC02AAC07;
-		isa = PBXTextBookmark;
-		name = "English: 7";
-		rLen = 0;
-		rLoc = 223;
-		rType = 0;
-		vrLen = 223;
-		vrLoc = 0;
-	};
-	F515C796037E2212018DB5B3 = {
-		fRef = F515C7ED037E2212018DB5B3;
-		isa = PBXTextBookmark;
-		name = "NSUserDefaults.h: 52";
-		rLen = 0;
-		rLoc = 1606;
-		rType = 0;
-		vrLen = 2162;
-		vrLoc = 1561;
-	};
-	F515C797037E2212018DB5B3 = {
-		isa = PBXTargetBookmark;
-		trg = 29B97326FDCFA39411CA2CEA;
-		uiCtxt = {
-			buildPhasesExpandedSubviews = (
-				0,
-				1,
-				2,
-				3,
-			);
-			buildPhasesVisRect = "{{0, 0}, {646, 608}}";
-			buildSettingsExpandedSubviews = (
-				0,
-				1,
-				2,
-				3,
-				4,
-				5,
-				8,
-			);
-			buildSettingsVisRect = "{{0, 0}, {393, 256}}";
-			expertProductSettingsVisRect = "{{0, 0}, {464, 403}}";
-			guiProductSettingsExpandedSubviews = (
-				0,
-				1,
-				2,
-				3,
-				4,
-				5,
-				6,
-			);
-			guiProductSettingsVisRect = "{{0, 0}, {677, 577}}";
-			productSettingsIsSimple = YES;
-			selectedTab = productSettings;
-		};
-	};
-	F515C798037E2212018DB5B3 = {
-		exec = F59B967103538BE201154278;
-		isa = PBXExecutableBookmark;
-		uiCtxt = {
-			buildSettingsExpandedSubviews = (
-				0,
-				1,
-				2,
-				3,
-				4,
-				5,
-			);
-			buildSettingsVisRect = "{{0, 0}, {646, 637}}";
-		};
-	};
-	F515C799037E2212018DB5B3 = {
-		fRef = F59DC6DC0353DE5101AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarmNotifierController.m: 29";
-		rLen = 0;
-		rLoc = 785;
-		rType = 0;
-		vrLen = 893;
-		vrLoc = 0;
-	};
-	F515C79A037E2212018DB5B3 = {
-		fRef = F59E47B5036AAD55016B311C;
-		isa = PBXTextBookmark;
-		name = "PSAlarmAlertController.h: 1";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 493;
-		vrLoc = 0;
-	};
-	F515C79B037E2212018DB5B3 = {
-		fRef = F59DC6D40353C9E601AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarmSetController.m: 38";
-		rLen = 0;
-		rLoc = 2312;
-		rType = 0;
-		vrLen = 2391;
-		vrLoc = 191;
-	};
-	F515C79C037E2212018DB5B3 = {
-		fRef = F59F6CB50354E7DA01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarm.m: initialize";
-		rLen = 0;
-		rLoc = 862;
-		rType = 0;
-		vrLen = 1349;
-		vrLoc = 8504;
-	};
-	F515C79D037E2212018DB5B3 = {
-		fRef = F59DC6E80353F58B01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "NJRIntegerFilter.m: isPartialStringValid:proposedSelectedRange:originalString:originalSelectedRange:errorDescription:";
-		rLen = 0;
-		rLoc = 1008;
-		rType = 0;
-		vrLen = 1519;
-		vrLoc = 0;
-	};
-	F515C79E037E2212018DB5B3 = {
-		fRef = F59E4C0E036B43D2016B311C;
-		isa = PBXTextBookmark;
-		name = "NSMovie-NJRExtensions.h: 1";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 283;
-		vrLoc = 0;
-	};
-	F515C79F037E2212018DB5B3 = {
-		fRef = F59DC6FD0354188F01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "NJRDateFormatter.m: 177";
-		rLen = 0;
-		rLoc = 8262;
-		rType = 0;
-		vrLen = 1856;
-		vrLoc = 6454;
-	};
-	F515C7A0037E2212018DB5B3 = {
-		fRef = F515C7EE037E2212018DB5B3;
-		isa = PBXBookmark;
-	};
-	F515C7A1037E2212018DB5B3 = {
-		fRef = F560E2F10357506401A4E466;
-		isa = PBXTextBookmark;
-		name = "PSApplication.m: finishLaunching";
-		rLen = 0;
-		rLoc = 582;
-		rType = 0;
-		vrLen = 1184;
-		vrLoc = 0;
-	};
-	F515C7A2037E2212018DB5B3 = {
-		fRef = F515C7F9037E2212018DB5B3;
-		isa = PBXTextBookmark;
-		name = "NSDateFormatter.h: 1";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 399;
-		vrLoc = 0;
-	};
-	F515C7A3037E2212018DB5B3 = {
-		fRef = F59DC6FD0354188F01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "NJRDateFormatter.m: 13";
-		rLen = 0;
-		rLoc = 7242;
-		rType = 0;
-		vrLen = 1402;
-		vrLoc = 0;
-	};
-	F515C7A4037E2212018DB5B3 = {
-		fRef = F515C7E6037E2212018DB5B3;
-		isa = PBXTextBookmark;
-		name = "Controls.h: 99";
-		rLen = 0;
-		rLoc = 2493;
-		rType = 0;
-		vrLen = 2858;
-		vrLoc = 3060;
-	};
-	F515C7A5037E2212018DB5B3 = {
-		fRef = F515C7FA037E2212018DB5B3;
-		isa = PBXTextBookmark;
-		name = "ControlDefinitions.h: 1311";
-		rLen = 0;
-		rLoc = 51116;
-		rType = 0;
-		vrLen = 1192;
-		vrLoc = 49198;
-	};
-	F515C7A6037E2212018DB5B3 = {
-		fRef = F59DC6D40353C9E601AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarmSetController.m: updateDateDisplay:";
-		rLen = 0;
-		rLoc = 6440;
-		rType = 0;
-		vrLen = 1444;
-		vrLoc = 4820;
-	};
-	F515C7A7037E2212018DB5B3 = {
-		fRef = F5F198D0036BE57401EB0372;
-		isa = PBXTextBookmark;
-		name = "NJRTableDelegate.m: key";
-		rLen = 0;
-		rLoc = 618;
-		rType = 0;
-		vrLen = 1133;
-		vrLoc = 0;
-	};
-	F515C7A8037E2212018DB5B3 = {
-		fRef = F517D63E0356B80C016D68B9;
-		isa = PBXTextBookmark;
-		name = "PSAlarmsController.m: tableView:objectValueForTableColumn:row:";
-		rLen = 0;
-		rLoc = 1912;
-		rType = 0;
-		vrLen = 1367;
-		vrLoc = 42;
-	};
-	F515C7A9037E2212018DB5B3 = {
-		fRef = F59F6CB50354E7DA01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarm.m: 164";
-		rLen = 26;
-		rLoc = 4918;
-		rType = 0;
-		vrLen = 877;
-		vrLoc = 4461;
-	};
-	F515C7AA037E2212018DB5B3 = {
-		fRef = F59F6CB40354E7DA01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarm.h: shortDateString";
-		rLen = 0;
-		rLoc = 1079;
-		rType = 0;
-		vrLen = 861;
-		vrLoc = 453;
-	};
-	F515C7AB037E2212018DB5B3 = {
-		fRef = F59DC6D40353C9E601AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarmSetController.m: 32";
-		rLen = 0;
-		rLoc = 1013;
-		rType = 0;
-		vrLen = 1553;
-		vrLoc = 41;
-	};
-	F515C7AC037E2212018DB5B3 = {
-		fRef = F59F6CB50354E7DA01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarm.m: timeString";
-		rLen = 0;
-		rLoc = 5264;
-		rType = 0;
-		vrLen = 958;
-		vrLoc = 4645;
-	};
-	F515C7AD037E2212018DB5B3 = {
-		fRef = F59DC6FD0354188F01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "NJRDateFormatter.m: stringByRemovingSurroundingWhitespace";
-		rLen = 0;
-		rLoc = 7242;
-		rType = 0;
-		vrLen = 1306;
-		vrLoc = 5125;
-	};
-	F515C7AE037E2212018DB5B3 = {
-		fRef = F560E2F10357506401A4E466;
-		isa = PBXTextBookmark;
-		name = "PSApplication.m: 17";
-		rLen = 0;
-		rLoc = 348;
-		rType = 0;
-		vrLen = 1044;
-		vrLoc = 0;
-	};
-	F515C7AF037E2212018DB5B3 = {
-		fRef = F59DC6D40353C9E601AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarmSetController.m: awakeFromNib";
-		rLen = 0;
-		rLoc = 4259;
-		rType = 0;
-		vrLen = 1492;
-		vrLoc = 2539;
-	};
-	F515C7B0037E2212018DB5B3 = {
-		fRef = F59F6CB50354E7DA01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarm.m: timeString";
-		rLen = 0;
-		rLoc = 5264;
-		rType = 0;
-		vrLen = 958;
-		vrLoc = 4645;
-	};
-	F515C7B1037E2212018DB5B3 = {
-		fRef = F59DC6D40353C9E601AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarmSetController.m: 42";
-		rLen = 0;
-		rLoc = 2578;
-		rType = 0;
-		vrLen = 2166;
-		vrLoc = 2829;
-	};
-	F515C7B2037E2212018DB5B3 = {
-		fRef = F589C9C6035AA12B0155F4B2;
-		isa = PBXTextBookmark;
-		name = "Read Me.rtfd: 66";
-		rLen = 0;
-		rLoc = 4448;
-		rType = 0;
-		vrLen = 715;
-		vrLoc = 2070;
-	};
-	F515C7B3037E2212018DB5B3 = {
-		fRef = F59E47B4036AAD55016B311C;
-		isa = PBXTextBookmark;
-		name = "PSAlarmAlertController.m: __VERSION__";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 947;
-		vrLoc = 0;
-	};
-	F515C7B4037E2212018DB5B3 = {
-		fRef = F59DC6DC0353DE5101AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarmNotifierController.m: close:";
-		rLen = 0;
-		rLoc = 850;
-		rType = 0;
-		vrLen = 813;
-		vrLoc = 0;
-	};
-	F515C7B5037E2212018DB5B3 = {
-		fRef = F517D63F0356B80C016D68B9;
-		isa = PBXTextBookmark;
-		name = "PSAlarmsController.h: 6";
-		rLen = 0;
-		rLoc = 107;
-		rType = 0;
-		vrLen = 393;
-		vrLoc = 0;
-	};
-	F515C7B6037E2212018DB5B3 = {
-		fRef = F589C9C6035AA12B0155F4B2;
-		isa = PBXTextBookmark;
-		name = "Read Me.rtfd: 76";
-		rLen = 0;
-		rLoc = 5056;
-		rType = 0;
-		vrLen = 2443;
-		vrLoc = 4667;
-	};
-	F515C7B7037E2212018DB5B3 = {
-		fRef = F59DC6D30353C9E601AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarmSetController.h: 24";
-		rLen = 19;
-		rLoc = 654;
-		rType = 0;
-		vrLen = 1573;
-		vrLoc = 233;
-	};
-	F515C7B8037E2212018DB5B3 = {
-		fRef = F59DC6D40353C9E601AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarmSetController.m: inAtChanged:";
-		rLen = 0;
-		rLoc = 9053;
-		rType = 0;
-		vrLen = 1762;
-		vrLoc = 7871;
-	};
-	F515C7B9037E2212018DB5B3 = {
-		fRef = F59DC6DC0353DE5101AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarmNotifierController.m: initWithAlarm:";
-		rLen = 0;
-		rLoc = 782;
-		rType = 0;
-		vrLen = 893;
-		vrLoc = 0;
-	};
-	F515C7BA037E2212018DB5B3 = {
-		fRef = F5F240CC036A877301FE7503;
-		isa = PBXTextBookmark;
-		name = "NJRQTMediaPopUpButton.m: NJRQTMediaPopUpButtonMovieChangedNotification";
-		rLen = 45;
-		rLoc = 368;
-		rType = 0;
-		vrLen = 1441;
-		vrLoc = 0;
-	};
-	F515C7BB037E2212018DB5B3 = {
-		fRef = F59DC6D30353C9E601AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarmSetController.h: 24";
-		rLen = 19;
-		rLoc = 654;
-		rType = 0;
-		vrLen = 1601;
-		vrLoc = 205;
-	};
-	F515C7BC037E2212018DB5B3 = {
-		fRef = F59DC6D40353C9E601AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarmSetController.m: canRepeat";
-		rLen = 0;
-		rLoc = 9165;
-		rType = 0;
-		vrLen = 1712;
-		vrLoc = 7871;
-	};
-	F515C7BD037E2212018DB5B3 = {
-		fRef = F5F19870036B822E01EB0372;
-		isa = PBXTextBookmark;
-		name = "NJRVoicePopUpButton.m: _previewVoice";
-		rLen = 0;
-		rLoc = 3092;
-		rType = 0;
-		vrLen = 1414;
-		vrLoc = 2129;
-	};
-	F515C7BE037E2212018DB5B3 = {
-		fRef = F5F240B5036A862101FE7503;
-		isa = PBXTextBookmark;
-		name = "NJRFSObjectSelector.m: 169";
-		rLen = 0;
-		rLoc = 5771;
-		rType = 0;
-		vrLen = 1335;
-		vrLoc = 4793;
-	};
-	F515C7BF037E2212018DB5B3 = {
-		fRef = F5F240B6036A862101FE7503;
-		isa = PBXTextBookmark;
-		name = "NJRFSObjectSelector.h: 1";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 633;
-		vrLoc = 0;
-	};
-	F515C7C0037E2212018DB5B3 = {
-		fRef = F5F240B5036A862101FE7503;
-		isa = PBXTextBookmark;
-		name = "NJRFSObjectSelector.m: 169";
-		rLen = 0;
-		rLoc = 5771;
-		rType = 0;
-		vrLen = 1335;
-		vrLoc = 4793;
-	};
-	F515C7C1037E2212018DB5B3 = {
-		fRef = F5F240B6036A862101FE7503;
-		isa = PBXTextBookmark;
-		name = "NJRFSObjectSelector.h: 13";
-		rLen = 0;
-		rLoc = 247;
-		rType = 0;
-		vrLen = 653;
-		vrLoc = 0;
-	};
-	F515C7C2037E2212018DB5B3 = {
-		fRef = F5F240B5036A862101FE7503;
-		isa = PBXTextBookmark;
-		name = "NJRFSObjectSelector.m: __VERSION__";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 1082;
-		vrLoc = 0;
-	};
-	F515C7C3037E2212018DB5B3 = {
-		fRef = F5F240B6036A862101FE7503;
-		isa = PBXTextBookmark;
-		name = "NJRFSObjectSelector.h: 13";
-		rLen = 0;
-		rLoc = 247;
-		rType = 0;
-		vrLen = 653;
-		vrLoc = 0;
-	};
-	F515C7C4037E2212018DB5B3 = {
-		fRef = F589C9C6035AA12B0155F4B2;
-		isa = PBXTextBookmark;
-		name = "Read Me.rtfd: 74";
-		rLen = 0;
-		rLoc = 5019;
-		rType = 0;
-		vrLen = 2329;
-		vrLoc = 4496;
-	};
-	F515C7C5037E2212018DB5B3 = {
-		fRef = F560E2F20357506401A4E466;
-		isa = PBXTextBookmark;
-		name = "PSApplication.h: 1";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 609;
-		vrLoc = 0;
-	};
-	F515C7C6037E2212018DB5B3 = {
-		fRef = F560E2F10357506401A4E466;
-		isa = PBXTextBookmark;
-		name = "PSApplication.m: 17";
-		rLen = 0;
-		rLoc = 348;
-		rType = 0;
-		vrLen = 1273;
-		vrLoc = 0;
-	};
-	F515C7C7037E2212018DB5B3 = {
-		fRef = F59DC6D40353C9E601AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarmSetController.m: inAtChanged:";
-		rLen = 0;
-		rLoc = 8241;
-		rType = 0;
-		vrLen = 1674;
-		vrLoc = 7871;
-	};
-	F515C7C8037E2212018DB5B3 = {
-		fRef = F59DC6D30353C9E601AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarmSetController.h: 24";
-		rLen = 19;
-		rLoc = 654;
-		rType = 0;
-		vrLen = 1601;
-		vrLoc = 205;
-	};
-	F515C7C9037E2212018DB5B3 = {
-		fRef = F59DC6D40353C9E601AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarmSetController.m: inAtChanged:";
-		rLen = 0;
-		rLoc = 8183;
-		rType = 0;
-		vrLen = 1672;
-		vrLoc = 7871;
-	};
-	F515C7CA037E2212018DB5B3 = {
-		fRef = F515C7FE037E2212018DB5B3;
-		isa = PBXTextBookmark;
-		name = "NSString.h: 94";
-		rLen = 8;
-		rLoc = 3366;
-		rType = 0;
-		vrLen = 1678;
-		vrLoc = 2394;
-	};
-	F515C7CB037E2212018DB5B3 = {
-		fRef = F59DC6D40353C9E601AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarmSetController.m: 28";
-		rLen = 0;
-		rLoc = 732;
-		rType = 0;
-		vrLen = 2140;
-		vrLoc = 0;
-	};
-	F515C7CC037E2212018DB5B3 = {
-		fRef = F589C9C6035AA12B0155F4B2;
-		isa = PBXTextBookmark;
-		name = "Read Me.rtfd: 84";
-		rLen = 0;
-		rLoc = 6253;
-		rType = 0;
-		vrLen = 2489;
-		vrLoc = 5507;
-	};
-	F515C7CD037E2212018DB5B3 = {
-		fRef = F59DC6FD0354188F01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "NJRDateFormatter.m: nonWhitespace";
-		rLen = 0;
-		rLoc = 7242;
-		rType = 0;
-		vrLen = 1904;
-		vrLoc = 3912;
-	};
-	F515C7CE037E2212018DB5B3 = {
-		fRef = F59DC6D40353C9E601AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarmSetController.m: 38";
-		rLen = 0;
-		rLoc = 2312;
-		rType = 0;
-		vrLen = 2391;
-		vrLoc = 191;
-	};
-	F515C7CF037E2212018DB5B3 = {
-		fRef = F59DC6FD0354188F01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "NJRDateFormatter.m: localizedTimeFormatIncludingSeconds:";
-		rLen = 0;
-		rLoc = 2612;
-		rType = 0;
-		vrLen = 2395;
-		vrLoc = 2524;
-	};
-	F515C7D0037E2212018DB5B3 = {
-		fRef = F59DC6FC0354188F01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "NJRDateFormatter.h: 20";
-		rLen = 0;
-		rLoc = 551;
-		rType = 0;
-		vrLen = 525;
-		vrLoc = 0;
-	};
-	F515C7D1037E2212018DB5B3 = {
-		fRef = F59DC6FD0354188F01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "NJRDateFormatter.m: nonWhitespace";
-		rLen = 0;
-		rLoc = 7167;
-		rType = 0;
-		vrLen = 1845;
-		vrLoc = 4660;
-	};
-	F515C7D2037E2212018DB5B3 = {
-		fRef = F59DC6FC0354188F01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "NJRDateFormatter.h: 13";
-		rLen = 0;
-		rLoc = 270;
-		rType = 0;
-		vrLen = 557;
-		vrLoc = 0;
-	};
-	F515C7D3037E2212018DB5B3 = {
-		fRef = F59DC6FD0354188F01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "NJRDateFormatter.m: stringByRemovingSurroundingWhitespace";
-		rLen = 0;
-		rLoc = 6603;
-		rType = 0;
-		vrLen = 1764;
-		vrLoc = 4757;
-	};
-	F515C7D4037E2212018DB5B3 = {
-		fRef = F59DC6FC0354188F01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "NJRDateFormatter.h: 13";
-		rLen = 0;
-		rLoc = 270;
-		rType = 0;
-		vrLen = 557;
-		vrLoc = 0;
-	};
-	F515C7D5037E2212018DB5B3 = {
-		fRef = F59DC6FD0354188F01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "NJRDateFormatter.m: initWithDateFormat:allowNaturalLanguage:";
-		rLen = 0;
-		rLoc = 6622;
-		rType = 0;
-		vrLen = 1835;
-		vrLoc = 4067;
-	};
-	F515C7D6037E2212018DB5B3 = {
-		fRef = F59DC6FC0354188F01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "NJRDateFormatter.h: 13";
-		rLen = 0;
-		rLoc = 270;
-		rType = 0;
-		vrLen = 557;
-		vrLoc = 0;
-	};
-	F515C7D7037E2212018DB5B3 = {
-		fRef = F59DC6FD0354188F01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "NJRDateFormatter.m: ampmRange";
-		rLen = 0;
-		rLoc = 5875;
-		rType = 0;
-		vrLen = 2114;
-		vrLoc = 5177;
-	};
-	F515C7D8037E2212018DB5B3 = {
-		isa = PBXTargetBookmark;
-		trg = 29B97326FDCFA39411CA2CEA;
-		uiCtxt = {
-			buildPhasesExpandedSubviews = (
-				0,
-				1,
-				2,
-				3,
-			);
-			buildPhasesVisRect = "{{0, 0}, {646, 608}}";
-			buildSettingsExpandedSubviews = (
-				0,
-				1,
-				2,
-				3,
-				4,
-				5,
-				8,
-			);
-			buildSettingsVisRect = "{{0, 0}, {393, 256}}";
-			expertProductSettingsVisRect = "{{0, 0}, {464, 403}}";
-			guiProductSettingsExpandedSubviews = (
-				0,
-				1,
-				2,
-				3,
-				4,
-				5,
-				6,
-			);
-			guiProductSettingsVisRect = "{{0, 0}, {677, 577}}";
-			productSettingsIsSimple = YES;
-			selectedTab = productSettings;
-		};
-	};
-	F515C7D9037E2212018DB5B3 = {
-		exec = F59B967103538BE201154278;
-		isa = PBXExecutableBookmark;
-		uiCtxt = {
-			buildSettingsExpandedSubviews = (
-				0,
-				1,
-				2,
-				3,
-				4,
-				5,
-			);
-			buildSettingsVisRect = "{{0, 0}, {646, 637}}";
-		};
-	};
-	F515C7DA037E2212018DB5B3 = {
-		fRef = F59DC6DC0353DE5101AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarmNotifierController.m: 29";
-		rLen = 0;
-		rLoc = 785;
-		rType = 0;
-		vrLen = 893;
-		vrLoc = 0;
-	};
-	F515C7DB037E2212018DB5B3 = {
-		fRef = F59E47B5036AAD55016B311C;
-		isa = PBXTextBookmark;
-		name = "PSAlarmAlertController.h: 1";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 493;
-		vrLoc = 0;
-	};
-	F515C7DC037E2212018DB5B3 = {
-		fRef = F59DC6D40353C9E601AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarmSetController.m: 38";
-		rLen = 0;
-		rLoc = 2312;
-		rType = 0;
-		vrLen = 2391;
-		vrLoc = 191;
-	};
-	F515C7DD037E2212018DB5B3 = {
-		fRef = F59DC6FD0354188F01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "NJRDateFormatter.m: initialize";
-		rLen = 0;
-		rLoc = 324;
-		rType = 0;
-		vrLen = 1844;
-		vrLoc = 0;
-	};
-	F515C7DE037E2212018DB5B3 = {
-		fRef = F59F6CB50354E7DA01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarm.m: initialize";
-		rLen = 0;
-		rLoc = 862;
-		rType = 0;
-		vrLen = 1349;
-		vrLoc = 8504;
-	};
-	F515C7DF037E2212018DB5B3 = {
-		fRef = F59DC6E80353F58B01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "NJRIntegerFilter.m: isPartialStringValid:proposedSelectedRange:originalString:originalSelectedRange:errorDescription:";
-		rLen = 0;
-		rLoc = 1008;
-		rType = 0;
-		vrLen = 1519;
-		vrLoc = 0;
-	};
-	F515C7E0037E2212018DB5B3 = {
-		fRef = F59DC6FD0354188F01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "NJRDateFormatter.m: 177";
-		rLen = 0;
-		rLoc = 8262;
-		rType = 0;
-		vrLen = 1856;
-		vrLoc = 6454;
-	};
-	F515C7E1037E2212018DB5B3 = {
-		fRef = F59E4C0E036B43D2016B311C;
-		isa = PBXTextBookmark;
-		name = "NSMovie-NJRExtensions.h: 1";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 283;
-		vrLoc = 0;
-	};
-	F515C7E2037E2212018DB5B3 = {
-		fRef = F59DC6FD0354188F01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "NJRDateFormatter.m: localizedTimeFormatIncludingSeconds:";
-		rLen = 0;
-		rLoc = 7242;
-		rType = 0;
-		vrLen = 1867;
-		vrLoc = 6395;
-	};
-	F515C7E3037E2212018DB5B3 = {
-		isa = PBXFileReference;
-		name = NSFormatter.h;
-		path = /System/Library/Frameworks/Foundation.framework/Versions/C/Headers/NSFormatter.h;
-		refType = 0;
-	};
-	F515C7E4037E2212018DB5B3 = {
-		isa = PBXFileReference;
-		name = NSMatrix.h;
-		path = /System/Library/Frameworks/AppKit.framework/Versions/C/Headers/NSMatrix.h;
-		refType = 0;
-	};
-	F515C7E5037E2212018DB5B3 = {
-		isa = PBXFileReference;
-		name = NSPopUpButton.html;
-		path = /System/Library/Frameworks/AppKit.framework/Versions/C/Resources/English.lproj/Documentation/Reference/ObjC_classic/Classes/NSPopUpButton.html;
-		refType = 0;
-	};
-	F515C7E6037E2212018DB5B3 = {
-		isa = PBXFileReference;
-		name = Controls.h;
-		path = /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/Headers/Controls.h;
-		refType = 0;
-	};
-	F515C7E7037E2212018DB5B3 = {
-		isa = PBXFileReference;
-		name = index.html;
-		path = /Developer/Documentation/Carbon/text/DateTimeUtilities/Date_Time_an_nt_Utilities/index.html;
-		refType = 0;
-	};
-	F515C7E8037E2212018DB5B3 = {
-		isa = PBXFileReference;
-		name = NSMenu.h;
-		path = /System/Library/Frameworks/AppKit.framework/Versions/C/Headers/NSMenu.h;
-		refType = 0;
-	};
-	F515C7E9037E2212018DB5B3 = {
-		isa = PBXFileReference;
-		name = NSButtonCell.h;
-		path = /System/Library/Frameworks/AppKit.framework/Versions/C/Headers/NSButtonCell.h;
-		refType = 0;
-	};
-	F515C7EA037E2212018DB5B3 = {
-		isa = PBXFileReference;
-		name = NSActionCell.h;
-		path = /System/Library/Frameworks/AppKit.framework/Versions/C/Headers/NSActionCell.h;
-		refType = 0;
-	};
-	F515C7EB037E2212018DB5B3 = {
-		isa = PBXFileReference;
-		name = NSClassDescription.h;
-		path = /System/Library/Frameworks/Foundation.framework/Versions/C/Headers/NSClassDescription.h;
-		refType = 0;
-	};
-	F515C7EC037E2212018DB5B3 = {
-		isa = PBXFileReference;
-		name = NSUserDefaults.html;
-		path = /System/Library/Frameworks/Foundation.framework/Versions/C/Resources/English.lproj/Documentation/Reference/ObjC_classic/Classes/NSUserDefaults.html;
-		refType = 0;
-	};
-	F515C7ED037E2212018DB5B3 = {
-		isa = PBXFileReference;
-		name = NSUserDefaults.h;
-		path = /System/Library/Frameworks/Foundation.framework/Versions/C/Headers/NSUserDefaults.h;
-		refType = 0;
-	};
-	F515C7EE037E2212018DB5B3 = {
-		isa = PBXFileReference;
-		name = index.html;
-		path = /Developer/Documentation/Carbon/text/DateTimeUtilities/Date_Time_an_nt_Utilities/index.html;
-		refType = 0;
-	};
-	F515C7EF037E2212018DB5B3 = {
-		isa = PBXFileReference;
-		name = NSCell.h;
-		path = /System/Library/Frameworks/AppKit.framework/Versions/C/Headers/NSCell.h;
-		refType = 0;
-	};
-	F515C7F0037E2212018DB5B3 = {
-		isa = PBXFileReference;
-		name = Controls.h;
-		path = /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/Headers/Controls.h;
-		refType = 0;
-	};
-	F515C7F1037E2212018DB5B3 = {
-		isa = PBXFileReference;
-		name = NSDate.h;
-		path = /System/Library/Frameworks/Foundation.framework/Versions/C/Headers/NSDate.h;
-		refType = 0;
-	};
-	F515C7F2037E2212018DB5B3 = {
-		isa = PBXFileReference;
-		name = NSScanner.html;
-		path = /System/Library/Frameworks/Foundation.framework/Versions/C/Resources/English.lproj/Documentation/Reference/ObjC_classic/Classes/NSScanner.html;
-		refType = 0;
-	};
-	F515C7F3037E2212018DB5B3 = {
-		isa = PBXFileReference;
-		name = NSScanner.h;
-		path = /System/Library/Frameworks/Foundation.framework/Versions/C/Headers/NSScanner.h;
-		refType = 0;
-	};
-	F515C7F4037E2212018DB5B3 = {
-		isa = PBXFileReference;
-		name = NSButtonCell.html;
-		path = /System/Library/Frameworks/AppKit.framework/Versions/C/Resources/English.lproj/Documentation/Reference/ObjC_classic/Classes/NSButtonCell.html;
-		refType = 0;
-	};
-	F515C7F5037E2212018DB5B3 = {
-		isa = PBXFileReference;
-		name = NSCharacterSet.h;
-		path = /System/Library/Frameworks/Foundation.framework/Versions/C/Headers/NSCharacterSet.h;
-		refType = 0;
-	};
-	F515C7F6037E2212018DB5B3 = {
-		isa = PBXFileReference;
-		name = NSRange.h;
-		path = /System/Library/Frameworks/Foundation.framework/Versions/C/Headers/NSRange.h;
-		refType = 0;
-	};
-	F515C7F7037E2212018DB5B3 = {
-		isa = PBXFileReference;
-		name = ControlDefinitions.h;
-		path = /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/Headers/ControlDefinitions.h;
-		refType = 0;
-	};
-	F515C7F8037E2212018DB5B3 = {
-		isa = PBXFileReference;
-		name = NSCalendarDate.html;
-		path = /System/Library/Frameworks/Foundation.framework/Versions/C/Resources/English.lproj/Documentation/Reference/ObjC_classic/Classes/NSCalendarDate.html;
-		refType = 0;
-	};
-	F515C7F9037E2212018DB5B3 = {
-		isa = PBXFileReference;
-		name = NSDateFormatter.h;
-		path = /System/Library/Frameworks/Foundation.framework/Versions/C/Headers/NSDateFormatter.h;
-		refType = 0;
-	};
-	F515C7FA037E2212018DB5B3 = {
-		isa = PBXFileReference;
-		name = ControlDefinitions.h;
-		path = /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/Headers/ControlDefinitions.h;
-		refType = 0;
-	};
-	F515C7FB037E2212018DB5B3 = {
-		isa = PBXFileReference;
-		name = NSCalendarDate.h;
-		path = /System/Library/Frameworks/Foundation.framework/Versions/C/Headers/NSCalendarDate.h;
-		refType = 0;
-	};
-	F515C7FC037E2212018DB5B3 = {
-		isa = PBXFileReference;
-		name = NSMenu.html;
-		path = /System/Library/Frameworks/AppKit.framework/Versions/C/Resources/English.lproj/Documentation/Reference/ObjC_classic/Classes/NSMenu.html;
-		refType = 0;
-	};
-	F515C7FD037E2212018DB5B3 = {
-		isa = PBXFileReference;
-		name = NSMenuItem.h;
-		path = /System/Library/Frameworks/AppKit.framework/Versions/C/Headers/NSMenuItem.h;
-		refType = 0;
-	};
-	F515C7FE037E2212018DB5B3 = {
-		isa = PBXFileReference;
-		name = NSString.h;
-		path = /System/Library/Frameworks/Foundation.framework/Versions/C/Headers/NSString.h;
-		refType = 0;
-	};
-	F515C7FF037E2212018DB5B3 = {
-		isa = PBXFileReference;
-		name = NSPopUpButton.h;
-		path = /System/Library/Frameworks/AppKit.framework/Versions/C/Headers/NSPopUpButton.h;
-		refType = 0;
-	};
-	F515C800037E2212018DB5B3 = {
-		isa = PBXFileReference;
-		name = NSDateFormatter.h;
-		path = /System/Library/Frameworks/Foundation.framework/Versions/C/Headers/NSDateFormatter.h;
-		refType = 0;
-	};
-	F515C801037E2212018DB5B3 = {
-		isa = PBXFileReference;
-		name = NSString.h;
-		path = /System/Library/Frameworks/Foundation.framework/Versions/C/Headers/NSString.h;
-		refType = 0;
-	};
 	F517D63D0356AC88016D68B9 = {
 		fRef = F59F6CB50354E7DA01AEEDB1;
@@ -3075,414 +830,4 @@
 		vrLoc = 4232;
 	};
-	F51E9997037C98BC01827940 = {
-		fRef = F5F2418A036A910B01FE7503;
-		isa = PBXTextBookmark;
-		name = "SoundFileManager.h: addSoundFilesFromDirectory:asType:";
-		rLen = 0;
-		rLoc = 585;
-		rType = 0;
-		vrLen = 931;
-		vrLoc = 0;
-	};
-	F51E9998037C98BC01827940 = {
-		fRef = F59DC6E90353F58B01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "NJRIntegerFilter.h: 1";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 247;
-		vrLoc = 0;
-	};
-	F51E999C037C98BC01827940 = {
-		fRef = F51E99D1037C98BC01827940;
-		isa = PBXTextBookmark;
-		name = "NSTextField.h: 35";
-		rLen = 6;
-		rLoc = 789;
-		rType = 0;
-		vrLen = 966;
-		vrLoc = 0;
-	};
-	F51E999E037C98BC01827940 = {
-		fRef = F51E99D3037C98BC01827940;
-		isa = PBXTextBookmark;
-		name = "NSWindow.h: 218";
-		rLen = 33;
-		rLoc = 8367;
-		rType = 0;
-		vrLen = 1190;
-		vrLoc = 7864;
-	};
-	F51E99A1037C98BC01827940 = {
-		fRef = F552A8AC0358E8B201AEEDB1;
-		isa = PBXTextBookmark;
-		name = "NJRScrollView.m: 1";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 934;
-		vrLoc = 0;
-	};
-	F51E99A3037C98BC01827940 = {
-		fRef = F51E99CC037C98BC01827940;
-		isa = PBXTextBookmark;
-		name = "NSControl.h: 97";
-		rLen = 26;
-		rLoc = 2600;
-		rType = 0;
-		vrLen = 1409;
-		vrLoc = 2392;
-	};
-	F51E99A4037C98BC01827940 = {
-		fRef = F51E99CD037C98BC01827940;
-		isa = PBXTextBookmark;
-		name = "NSTextView.h: 63";
-		rLen = 30;
-		rLoc = 3007;
-		rType = 0;
-		vrLen = 1721;
-		vrLoc = 2053;
-	};
-	F51E99A8037C98BC01827940 = {
-		fRef = F51E99D0037C98BC01827940;
-		isa = PBXTextBookmark;
-		name = "NSNumberFormatter.h: 10";
-		rLen = 11;
-		rLoc = 249;
-		rType = 0;
-		vrLen = 1384;
-		vrLoc = 82;
-	};
-	F51E99AA037C98BC01827940 = {
-		fRef = F51E99D4037C98BC01827940;
-		isa = PBXTextBookmark;
-		name = "NSAttributedString.h: 25";
-		rLen = 0;
-		rLoc = 945;
-		rType = 0;
-		vrLen = 1325;
-		vrLoc = 0;
-	};
-	F51E99AB037C98BC01827940 = {
-		fRef = F51E99DC037C98BC01827940;
-		isa = PBXTextBookmark;
-		name = "NSTextStorage.h: 28";
-		rLen = 25;
-		rLoc = 1082;
-		rType = 0;
-		vrLen = 1267;
-		vrLoc = 0;
-	};
-	F51E99AE037C98BC01827940 = {
-		fRef = F51E99D5037C98BC01827940;
-		isa = PBXTextBookmark;
-		name = "DateTimeUtils.h: 340";
-		rLen = 12;
-		rLoc = 10376;
-		rType = 0;
-		vrLen = 979;
-		vrLoc = 9547;
-	};
-	F51E99AF037C98BC01827940 = {
-		fRef = F51E99D6037C98BC01827940;
-		isa = PBXBookmark;
-	};
-	F51E99B0037C98BC01827940 = {
-		fRef = F51E99D9037C98BC01827940;
-		isa = PBXBookmark;
-	};
-	F51E99B1037C98BC01827940 = {
-		fRef = F51E99DA037C98BC01827940;
-		isa = PBXBookmark;
-	};
-	F51E99B3037C98BC01827940 = {
-		fRef = F59DC6E80353F58B01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "NJRIntegerFilter.m: 1";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 1411;
-		vrLoc = 0;
-	};
-	F51E99B4037C98BC01827940 = {
-		fRef = F59DC6FD0354188F01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "NJRDateFormatter.m: 13";
-		rLen = 0;
-		rLoc = 7242;
-		rType = 0;
-		vrLen = 1105;
-		vrLoc = 0;
-	};
-	F51E99B5037C98BC01827940 = {
-		fRef = F59DC6D40353C9E601AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarmSetController.m: playSoundChanged:";
-		rLen = 43;
-		rLoc = 9214;
-		rType = 0;
-		vrLen = 1346;
-		vrLoc = 6574;
-	};
-	F51E99B6037C98BC01827940 = {
-		fRef = F5F2418A036A910B01FE7503;
-		isa = PBXTextBookmark;
-		name = "SoundFileManager.h: addSoundFilesFromDirectory:asType:";
-		rLen = 0;
-		rLoc = 585;
-		rType = 0;
-		vrLen = 931;
-		vrLoc = 0;
-	};
-	F51E99B7037C98BC01827940 = {
-		fRef = F59DC6E90353F58B01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "NJRIntegerFilter.h: 1";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 247;
-		vrLoc = 0;
-	};
-	F51E99B8037C98BC01827940 = {
-		fRef = F59DC6E80353F58B01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "NJRIntegerFilter.m: 22";
-		rLen = 0;
-		rLoc = 1008;
-		rType = 0;
-		vrLen = 1360;
-		vrLoc = 159;
-	};
-	F51E99B9037C98BC01827940 = {
-		fRef = F59DC6D40353C9E601AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarmSetController.m: playSoundChanged:";
-		rLen = 0;
-		rLoc = 9234;
-		rType = 0;
-		vrLen = 1346;
-		vrLoc = 6574;
-	};
-	F51E99BA037C98BC01827940 = {
-		fRef = F5F240B5036A862101FE7503;
-		isa = PBXTextBookmark;
-		name = "NJRFSObjectSelector.m: setEnabled:";
-		rLen = 34;
-		rLoc = 5647;
-		rType = 0;
-		vrLen = 1011;
-		vrLoc = 4974;
-	};
-	F51E99BB037C98BC01827940 = {
-		fRef = F5F19870036B822E01EB0372;
-		isa = PBXTextBookmark;
-		name = "NJRVoicePopUpButton.m: __VERSION__";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 1247;
-		vrLoc = 0;
-	};
-	F51E99BC037C98BC01827940 = {
-		fRef = F5F240CC036A877301FE7503;
-		isa = PBXTextBookmark;
-		name = "NJRQTMediaPopUpButton.m: 350";
-		rLen = 191;
-		rLoc = 13074;
-		rType = 0;
-		vrLen = 1247;
-		vrLoc = 12256;
-	};
-	F51E99BD037C98BC01827940 = {
-		fRef = F5F19870036B822E01EB0372;
-		isa = PBXTextBookmark;
-		name = "NJRVoicePopUpButton.m: _previewVoice";
-		rLen = 0;
-		rLoc = 3092;
-		rType = 0;
-		vrLen = 1002;
-		vrLoc = 2384;
-	};
-	F51E99BE037C98BC01827940 = {
-		fRef = F59DC6D40353C9E601AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarmSetController.m: controlTextDidChange:";
-		rLen = 0;
-		rLoc = 14675;
-		rType = 0;
-		vrLen = 842;
-		vrLoc = 12261;
-	};
-	F51E99BF037C98BC01827940 = {
-		fRef = F59DC6D30353C9E601AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarmSetController.h: 41";
-		rLen = 0;
-		rLoc = 1396;
-		rType = 0;
-		vrLen = 1344;
-		vrLoc = 462;
-	};
-	F51E99C0037C98BC01827940 = {
-		fRef = F59DC6D40353C9E601AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarmSetController.m: wasFirstResponder";
-		rLen = 0;
-		rLoc = 9733;
-		rType = 0;
-		vrLen = 1472;
-		vrLoc = 7170;
-	};
-	F51E99C1037C98BC01827940 = {
-		fRef = F59DC6D30353C9E601AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarmSetController.h: 41";
-		rLen = 0;
-		rLoc = 1396;
-		rType = 0;
-		vrLen = 1344;
-		vrLoc = 462;
-	};
-	F51E99C2037C98BC01827940 = {
-		fRef = F59DC6D40353C9E601AEEDB1;
-		isa = PBXTextBookmark;
-		name = "PSAlarmSetController.m: doScriptChanged:";
-		rLen = 0;
-		rLoc = 10538;
-		rType = 0;
-		vrLen = 1411;
-		vrLoc = 0;
-	};
-	F51E99C3037C98BC01827940 = {
-		fRef = F517D63F0356B80C016D68B9;
-		isa = PBXTextBookmark;
-		name = "PSAlarmsController.h: 1";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 393;
-		vrLoc = 0;
-	};
-	F51E99C4037C98BC01827940 = {
-		fRef = F51E99DB037C98BC01827940;
-		isa = PBXTextBookmark;
-		name = "DateTimeUtils.h: 340";
-		rLen = 12;
-		rLoc = 10376;
-		rType = 0;
-		vrLen = 979;
-		vrLoc = 9547;
-	};
-	F51E99C5037C98BC01827940 = {
-		fRef = F51E99DD037C98BC01827940;
-		isa = PBXBookmark;
-	};
-	F51E99C6037C98BC01827940 = {
-		fRef = F51E99CB037C98BC01827940;
-		isa = PBXBookmark;
-	};
-	F51E99C7037C98BC01827940 = {
-		fRef = F51E99D8037C98BC01827940;
-		isa = PBXBookmark;
-	};
-	F51E99CB037C98BC01827940 = {
-		isa = PBXFileReference;
-		name = carbon.html;
-		path = /Developer/Documentation/Carbon/carbon.html;
-		refType = 0;
-	};
-	F51E99CC037C98BC01827940 = {
-		isa = PBXFileReference;
-		name = NSControl.h;
-		path = /System/Library/Frameworks/AppKit.framework/Versions/C/Headers/NSControl.h;
-		refType = 0;
-	};
-	F51E99CD037C98BC01827940 = {
-		isa = PBXFileReference;
-		name = NSTextView.h;
-		path = /System/Library/Frameworks/AppKit.framework/Versions/C/Headers/NSTextView.h;
-		refType = 0;
-	};
-	F51E99D0037C98BC01827940 = {
-		isa = PBXFileReference;
-		name = NSNumberFormatter.h;
-		path = /System/Library/Frameworks/Foundation.framework/Versions/C/Headers/NSNumberFormatter.h;
-		refType = 0;
-	};
-	F51E99D1037C98BC01827940 = {
-		isa = PBXFileReference;
-		name = NSTextField.h;
-		path = /System/Library/Frameworks/AppKit.framework/Versions/C/Headers/NSTextField.h;
-		refType = 0;
-	};
-	F51E99D3037C98BC01827940 = {
-		isa = PBXFileReference;
-		name = NSWindow.h;
-		path = /System/Library/Frameworks/AppKit.framework/Versions/C/Headers/NSWindow.h;
-		refType = 0;
-	};
-	F51E99D4037C98BC01827940 = {
-		isa = PBXFileReference;
-		name = NSAttributedString.h;
-		path = /System/Library/Frameworks/Foundation.framework/Versions/C/Headers/NSAttributedString.h;
-		refType = 0;
-	};
-	F51E99D5037C98BC01827940 = {
-		isa = PBXFileReference;
-		name = DateTimeUtils.h;
-		path = /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/Headers/DateTimeUtils.h;
-		refType = 0;
-	};
-	F51E99D6037C98BC01827940 = {
-		isa = PBXFileReference;
-		name = Converting_D_resentations.html;
-		path = /Developer/Documentation/Carbon/text/DateTimeUtilities/Date_Time_an_nt_Utilities/Functions/Converting_D_resentations.html;
-		refType = 0;
-	};
-	F51E99D8037C98BC01827940 = {
-		isa = PBXFileReference;
-		name = datetimeutilities.html;
-		path = /Developer/Documentation/Carbon/text/DateTimeUtilities/datetimeutilities.html;
-		refType = 0;
-	};
-	F51E99D9037C98BC01827940 = {
-		isa = PBXFileReference;
-		name = carbon.html;
-		path = /Developer/Documentation/Carbon/carbon.html;
-		refType = 0;
-	};
-	F51E99DA037C98BC01827940 = {
-		isa = PBXFileReference;
-		name = datetimeutilities.html;
-		path = /Developer/Documentation/Carbon/text/DateTimeUtilities/datetimeutilities.html;
-		refType = 0;
-	};
-	F51E99DB037C98BC01827940 = {
-		isa = PBXFileReference;
-		name = DateTimeUtils.h;
-		path = /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/Headers/DateTimeUtils.h;
-		refType = 0;
-	};
-	F51E99DC037C98BC01827940 = {
-		isa = PBXFileReference;
-		name = NSTextStorage.h;
-		path = /System/Library/Frameworks/AppKit.framework/Versions/C/Headers/NSTextStorage.h;
-		refType = 0;
-	};
-	F51E99DD037C98BC01827940 = {
-		isa = PBXFileReference;
-		name = Converting_D_resentations.html;
-		path = /Developer/Documentation/Carbon/text/DateTimeUtilities/Date_Time_an_nt_Utilities/Functions/Converting_D_resentations.html;
-		refType = 0;
-	};
-	F52441D303787D1001AEEDB1 = {
-		fileReference = F59E4C0D036B43D2016B311C;
-		isa = PBXFileBreakpoint;
-		lineNumber = 32;
-		state = 1;
-	};
 	F560E2F5035750C101A4E466 = {
 		fRef = F560E2F10357506401A4E466;
@@ -3514,4 +859,14 @@
 		vrLen = 1085;
 		vrLoc = 0;
+	};
+	F562F80B037E5D2101AEEDB1 = {
+		fRef = F59DC6FD0354188F01AEEDB1;
+		isa = PBXTextBookmark;
+		name = "NJRDateFormatter.m: initWithDateFormat:allowNaturalLanguage:";
+		rLen = 0;
+		rLoc = 6368;
+		rType = 0;
+		vrLen = 2132;
+		vrLoc = 5663;
 	};
 	F596730D0355CFA301407038 = {
@@ -3564,5 +919,5 @@
 		name = "PSAlarmSetController.m: 16";
 		rLen = 0;
-		rLoc = 4938;
+		rLoc = 4984;
 		rType = 0;
 		vrLen = 291;
@@ -3574,5 +929,5 @@
 		name = "PSAlarmSetController.m: inAtChanged:";
 		rLen = 36;
-		rLoc = 8146;
+		rLoc = 8485;
 		rType = 0;
 		vrLen = 478;
@@ -3599,4 +954,24 @@
 		vrLoc = 0;
 	};
+	F5B15F74037E42EB01AEEDB1 = {
+		isa = PBXSymbolicBreakpoint;
+		state = 1;
+		symbolName = "-[NSException raise]";
+	};
+	F5B15F79037E45E301AEEDB1 = {
+		isa = PBXSymbolicBreakpoint;
+		state = 1;
+		symbolName = "-[NSCFString characterAtIndex:]";
+	};
+	F5B163A5037E543A01AEEDB1 = {
+		fRef = F59DC6FD0354188F01AEEDB1;
+		isa = PBXTextBookmark;
+		name = "NJRDateFormatter.m: format:withoutComponent:";
+		rLen = 0;
+		rLoc = 829;
+		rType = 0;
+		vrLen = 2132;
+		vrLoc = 5663;
+	};
 	F5F19881036B90CD01EB0372 = {
 		fRef = F59DC6D40353C9E601AEEDB1;
@@ -3604,5 +979,5 @@
 		name = "PSAlarmSetController.m: setAlarm:";
 		rLen = 0;
-		rLoc = 11739;
+		rLoc = 12078;
 		rType = 0;
 		vrLen = 1431;
Index: /trunk/Cocoa/Pester/Source/Pester.pbproj/project.pbxproj
===================================================================
--- /trunk/Cocoa/Pester/Source/Pester.pbproj/project.pbxproj	(revision 44)
+++ /trunk/Cocoa/Pester/Source/Pester.pbproj/project.pbxproj	(revision 45)
@@ -170,4 +170,5 @@
 				F589C9C6035AA12B0155F4B2,
 				F59DC6E30353ED1201AEEDB1,
+				F562F809037E5D0101AEEDB1,
 			);
 			isa = PBXGroup;
@@ -240,6 +241,6 @@
 			productReference = 17587328FF379C6511CA2CBB;
 			productSettingsXML = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>
-<!DOCTYPE plist SYSTEM \"file://localhost/System/Library/DTDs/PropertyList.dtd\">
-<plist version=\"0.9\">
+<!DOCTYPE plist PUBLIC \"-//Apple Computer//DTD PLIST 1.0//EN\" \"http://www.apple.com/DTDs/PropertyList-1.0.dtd\">
+<plist version=\"1.0\">
 <dict>
 	<key>CFBundleDevelopmentRegion</key>
@@ -248,5 +249,5 @@
 	<string>Pester</string>
 	<key>CFBundleGetInfoString</key>
-	<string>Pester 1.1a1, © 2002 Nicholas Riley</string>
+	<string>Pester 1.1a2, © 2002 Nicholas Riley</string>
 	<key>CFBundleIconFile</key>
 	<string>Application icon</string>
@@ -264,5 +265,5 @@
 	<string>Pstr</string>
 	<key>CFBundleVersion</key>
-	<string>1.1a1</string>
+	<string>1.1a2</string>
 	<key>NSMainNibFile</key>
 	<string>MainMenu</string>
@@ -313,4 +314,5 @@
 			);
 			isa = PBXHeadersBuildPhase;
+			runOnlyForDeploymentPostprocessing = 0;
 		};
 		29B97328FDCFA39411CA2CEA = {
@@ -328,4 +330,5 @@
 			);
 			isa = PBXResourcesBuildPhase;
+			runOnlyForDeploymentPostprocessing = 0;
 		};
 		29B9732BFDCFA39411CA2CEA = {
@@ -368,4 +371,5 @@
 			);
 			isa = PBXSourcesBuildPhase;
+			runOnlyForDeploymentPostprocessing = 0;
 		};
 		29B9732CFDCFA39411CA2CEA = {
@@ -386,4 +390,5 @@
 			);
 			isa = PBXFrameworksBuildPhase;
+			runOnlyForDeploymentPostprocessing = 0;
 		};
 //290
@@ -679,4 +684,9 @@
 			};
 		};
+		F562F809037E5D0101AEEDB1 = {
+			isa = PBXFileReference;
+			path = VERSION;
+			refType = 4;
+		};
 		F589C9C6035AA12B0155F4B2 = {
 			isa = PBXFileReference;
Index: /trunk/Cocoa/Pester/Source/VERSION
===================================================================
--- /trunk/Cocoa/Pester/Source/VERSION	(revision 44)
+++ /trunk/Cocoa/Pester/Source/VERSION	(revision 45)
@@ -1,1 +1,1 @@
-1.1a1
+1.1a2
Index: /trunk/Cocoa/Pester/package-Pester.sh
===================================================================
--- /trunk/Cocoa/Pester/package-Pester.sh	(revision 44)
+++ /trunk/Cocoa/Pester/package-Pester.sh	(revision 45)
@@ -9,5 +9,5 @@
 # also check out 'build' on mosxland.sf.net
 
-set -x -v
+# set -x -v
 
 PACKAGEDIR="$PWD"
@@ -45,4 +45,4 @@
 hdiutil convert "$DMG" -format UDZO -imagekey zlib-level=9 -o "z$DMG" && \
 mv "z$DMG" "$DMG" && \
-#scp "$DMG" ainaz:web/nriley/software/ && \
+scp "$DMG" ainaz:web/nriley/software/ && \
 :
